package contact.backup;


import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import anywheresoftware.b4a.debug.*;
import java.lang.ref.WeakReference;

public class main extends Activity implements B4AActivity{
	public static main mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	public static final boolean fullScreen = false;
	public static final boolean includeTitle = false;
    public static WeakReference<Activity> previousOne;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		if (isFirst) {
			processBA = new anywheresoftware.b4a.ShellBA(this.getApplicationContext(), null, null, "contact.backup", "contact.backup.main");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
            
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                BA.LogInfo("Killing previous instance (main).");
				p.finish();
			}
		}
        processBA.runHook("oncreate", this, null);
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		mostCurrent = this;
        processBA.sharedProcessBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
        WaitForLayout wl = new WaitForLayout();
        if (anywheresoftware.b4a.objects.ServiceHelper.StarterHelper.startFromActivity(processBA, wl, false))
		    BA.handler.postDelayed(wl, 5);

	}
	static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent == null)
				return;
            
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
        if (this != mostCurrent)
			return;
		activityBA = new BA(this, layout, processBA, "contact.backup", "contact.backup.main");
        
        processBA.sharedProcessBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (BA.isShellModeRuntimeCheck(processBA)) {
			if (isFirst)
				processBA.raiseEvent2(null, true, "SHELL", false);
			processBA.raiseEvent2(null, true, "CREATE", true, "contact.backup.main", processBA, activityBA, _activity, anywheresoftware.b4a.keywords.Common.Density, mostCurrent);
			_activity.reinitializeForShell(activityBA, "activity");
		}
        initializeProcessGlobals();		
        initializeGlobals();
        
        BA.LogInfo("** Activity (main) Create, isFirst = " + isFirst + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (this != mostCurrent)
			return;
        processBA.setActivityPaused(false);
        BA.LogInfo("** Activity (main) Resume **");
        processBA.raiseEvent(null, "activity_resume");
        if (android.os.Build.VERSION.SDK_INT >= 11) {
			try {
				android.app.Activity.class.getMethod("invalidateOptionsMenu").invoke(this,(Object[]) null);
			} catch (Exception e) {
				e.printStackTrace();
			}
		}

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
        try {
            if (processBA.subExists("activity_actionbarhomeclick")) {
                Class.forName("android.app.ActionBar").getMethod("setHomeButtonEnabled", boolean.class).invoke(
                    getClass().getMethod("getActionBar").invoke(this), true);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        if (processBA.runHook("oncreateoptionsmenu", this, new Object[] {menu}))
            return true;
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
            if (android.os.Build.VERSION.SDK_INT >= 11) {
				try {
                    if (bmi.addToBar) {
				        android.view.MenuItem.class.getMethod("setShowAsAction", int.class).invoke(mi, 1);
                    }
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
        
		return true;
	}   
 @Override
 public boolean onOptionsItemSelected(android.view.MenuItem item) {
    if (item.getItemId() == 16908332) {
        processBA.raiseEvent(null, "activity_actionbarhomeclick");
        return true;
    }
    else
        return super.onOptionsItemSelected(item); 
}
@Override
 public boolean onPrepareOptionsMenu(android.view.Menu menu) {
    super.onPrepareOptionsMenu(menu);
    processBA.runHook("onprepareoptionsmenu", this, new Object[] {menu});
    return true;
    
 }
 protected void onStart() {
    super.onStart();
    processBA.runHook("onstart", this, null);
}
 protected void onStop() {
    super.onStop();
    processBA.runHook("onstop", this, null);
}
    public void onWindowFocusChanged(boolean hasFocus) {
       super.onWindowFocusChanged(hasFocus);
       if (processBA.subExists("activity_windowfocuschanged"))
           processBA.raiseEvent2(null, true, "activity_windowfocuschanged", false, hasFocus);
    }
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEvent(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return main.class;
	}
    private Boolean onKeySubExist = null;
    private Boolean onKeyUpSubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK &&
					android.os.Build.VERSION.SDK_INT >= 18) {
				HandleKeyDelayed hk = new HandleKeyDelayed();
				hk.kc = keyCode;
				BA.handler.post(hk);
				return true;
			}
			else {
				boolean res = new HandleKeyDelayed().runDirectly(keyCode);
				if (res)
					return true;
			}
		}
		return super.onKeyDown(keyCode, event);
	}
	private class HandleKeyDelayed implements Runnable {
		int kc;
		public void run() {
			runDirectly(kc);
		}
		public boolean runDirectly(int keyCode) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true) {
                return true;
            }
            else if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK) {
				finish();
				return true;
			}
            return false;
		}
		
	}
    @Override
	public boolean onKeyUp(int keyCode, android.view.KeyEvent event) {
		if (onKeyUpSubExist == null)
			onKeyUpSubExist = processBA.subExists("activity_keyup");
		if (onKeyUpSubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keyup", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyUp(keyCode, event);
	}
	@Override
	public void onNewIntent(android.content.Intent intent) {
        super.onNewIntent(intent);
		this.setIntent(intent);
        processBA.runHook("onnewintent", this, new Object[] {intent});
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null) //workaround for emulator bug (Issue 2423)
            return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        BA.LogInfo("** Activity (main) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
        processBA.raiseEvent2(_activity, true, "activity_pause", false, activityBA.activity.isFinishing());		
        processBA.setActivityPaused(true);
        mostCurrent = null;
        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        processBA.runHook("onpause", this, null);
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
        processBA.runHook("ondestroy", this, null);
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
        processBA.runHook("onresume", this, null);
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
			if (mostCurrent == null || mostCurrent != activity.get())
				return;
			processBA.setActivityPaused(false);
            BA.LogInfo("** Activity (main) Resume **");
		    processBA.raiseEvent(mostCurrent._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
        processBA.runHook("onactivityresult", this, new Object[] {requestCode, resultCode});
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}



public static void initializeProcessGlobals() {
    
    if (main.processGlobalsRun == false) {
	    main.processGlobalsRun = true;
		try {
		        b4a.example.contactstatics._process_globals();
b4a.example.contactmimetypes._process_globals();
		
        } catch (Exception e) {
			throw new RuntimeException(e);
		}
    }
}
public static boolean isAnyActivityVisible() {
    boolean vis = false;
vis = vis | (main.mostCurrent != null);
return vis;}

public static void killProgram() {
     {
            Activity __a = null;
            if (main.previousOne != null) {
				__a = main.previousOne.get();
			}
            else {
                BA ba = main.mostCurrent.processBA.sharedProcessBA.activityBA.get();
                if (ba != null) __a = ba.activity;
            }
            if (__a != null)
				__a.finish();}

BA.applicationContext.stopService(new android.content.Intent(BA.applicationContext, starter.class));
}
public static class _fullrehber{
public boolean IsInitialized;
public long ID;
public String DisplayName;
public String Note;
public String ThumbnailPhoto;
public boolean ThumbnailState;
public String FullPhoto;
public boolean FullState;
public boolean Starred;
public contact.backup.main._t_nicknames[] Nick_Names;
public contact.backup.main._t_addresses[] Local_Addresses;
public contact.backup.main._t_phonenumber[] Phone_Numbers;
public contact.backup.main._t_organizations[] Contac_Organizations;
public contact.backup.main._t_emailaddresses[] Email_Addresses;
public contact.backup.main._t_websites[] Web_sites;
public contact.backup.main._t_relations[] Co_Relations;
public contact.backup.main._t_ims[] Co_IMs;
public contact.backup.main._t_events[] Events;
public contact.backup.main._t_sipaddresses[] Sip_Addresses;
public contact.backup.main._t_structuredname Structured_Name;
public void Initialize() {
IsInitialized = true;
ID = 0L;
DisplayName = "";
Note = "";
ThumbnailPhoto = "";
ThumbnailState = false;
FullPhoto = "";
FullState = false;
Starred = false;
Nick_Names = new contact.backup.main._t_nicknames[0];
{
int d0 = Nick_Names.length;
for (int i0 = 0;i0 < d0;i0++) {
Nick_Names[i0] = new contact.backup.main._t_nicknames();
}
}
;
Local_Addresses = new contact.backup.main._t_addresses[0];
{
int d0 = Local_Addresses.length;
for (int i0 = 0;i0 < d0;i0++) {
Local_Addresses[i0] = new contact.backup.main._t_addresses();
}
}
;
Phone_Numbers = new contact.backup.main._t_phonenumber[0];
{
int d0 = Phone_Numbers.length;
for (int i0 = 0;i0 < d0;i0++) {
Phone_Numbers[i0] = new contact.backup.main._t_phonenumber();
}
}
;
Contac_Organizations = new contact.backup.main._t_organizations[0];
{
int d0 = Contac_Organizations.length;
for (int i0 = 0;i0 < d0;i0++) {
Contac_Organizations[i0] = new contact.backup.main._t_organizations();
}
}
;
Email_Addresses = new contact.backup.main._t_emailaddresses[0];
{
int d0 = Email_Addresses.length;
for (int i0 = 0;i0 < d0;i0++) {
Email_Addresses[i0] = new contact.backup.main._t_emailaddresses();
}
}
;
Web_sites = new contact.backup.main._t_websites[0];
{
int d0 = Web_sites.length;
for (int i0 = 0;i0 < d0;i0++) {
Web_sites[i0] = new contact.backup.main._t_websites();
}
}
;
Co_Relations = new contact.backup.main._t_relations[0];
{
int d0 = Co_Relations.length;
for (int i0 = 0;i0 < d0;i0++) {
Co_Relations[i0] = new contact.backup.main._t_relations();
}
}
;
Co_IMs = new contact.backup.main._t_ims[0];
{
int d0 = Co_IMs.length;
for (int i0 = 0;i0 < d0;i0++) {
Co_IMs[i0] = new contact.backup.main._t_ims();
}
}
;
Events = new contact.backup.main._t_events[0];
{
int d0 = Events.length;
for (int i0 = 0;i0 < d0;i0++) {
Events[i0] = new contact.backup.main._t_events();
}
}
;
Sip_Addresses = new contact.backup.main._t_sipaddresses[0];
{
int d0 = Sip_Addresses.length;
for (int i0 = 0;i0 < d0;i0++) {
Sip_Addresses[i0] = new contact.backup.main._t_sipaddresses();
}
}
;
Structured_Name = new contact.backup.main._t_structuredname();
}
@Override
		public String toString() {
			return BA.TypeToString(this, false);
		}}
public static class _t_structuredname{
public boolean IsInitialized;
public String GivenName;
public String DisplayName;
public String PhoneticMiddleName;
public String PhoneticFamilyName;
public String PhoneticGivenName;
public String Prefix;
public String Suffix;
public String MiddleName;
public String FamilyName;
public String FullNameStyle;
public void Initialize() {
IsInitialized = true;
GivenName = "";
DisplayName = "";
PhoneticMiddleName = "";
PhoneticFamilyName = "";
PhoneticGivenName = "";
Prefix = "";
Suffix = "";
MiddleName = "";
FamilyName = "";
FullNameStyle = "";
}
@Override
		public String toString() {
			return BA.TypeToString(this, false);
		}}
public static class _t_nicknames{
public boolean IsInitialized;
public String Name;
public String Typ;
public String Label;
public void Initialize() {
IsInitialized = true;
Name = "";
Typ = "";
Label = "";
}
@Override
		public String toString() {
			return BA.TypeToString(this, false);
		}}
public static class _t_phonenumber{
public boolean IsInitialized;
public String Number;
public String Typ;
public boolean IsPrimary;
public String Label;
public void Initialize() {
IsInitialized = true;
Number = "";
Typ = "";
IsPrimary = false;
Label = "";
}
@Override
		public String toString() {
			return BA.TypeToString(this, false);
		}}
public static class _t_emailaddresses{
public boolean IsInitialized;
public String E_Mail_Address;
public String Typ;
public boolean IsPrimary;
public String Label;
public void Initialize() {
IsInitialized = true;
E_Mail_Address = "";
Typ = "";
IsPrimary = false;
Label = "";
}
@Override
		public String toString() {
			return BA.TypeToString(this, false);
		}}
public static class _t_addresses{
public boolean IsInitialized;
public String Street;
public String Postcode;
public String City;
public String Region;
public String Country;
public String Pobox;
public String Typ;
public String Formatted;
public String Neighborhood;
public String Label;
public void Initialize() {
IsInitialized = true;
Street = "";
Postcode = "";
City = "";
Region = "";
Country = "";
Pobox = "";
Typ = "";
Formatted = "";
Neighborhood = "";
Label = "";
}
@Override
		public String toString() {
			return BA.TypeToString(this, false);
		}}
public static class _t_organizations{
public boolean IsInitialized;
public String Company;
public String Title;
public String JobDescription;
public String Department;
public String OfficeLocation;
public String Symbol;
public String PhoneticName;
public String PhoneticNameStyle;
public String Typ;
public String Label;
public void Initialize() {
IsInitialized = true;
Company = "";
Title = "";
JobDescription = "";
Department = "";
OfficeLocation = "";
Symbol = "";
PhoneticName = "";
PhoneticNameStyle = "";
Typ = "";
Label = "";
}
@Override
		public String toString() {
			return BA.TypeToString(this, false);
		}}
public static class _t_relations{
public boolean IsInitialized;
public String Name;
public String Typ;
public String Label;
public void Initialize() {
IsInitialized = true;
Name = "";
Typ = "";
Label = "";
}
@Override
		public String toString() {
			return BA.TypeToString(this, false);
		}}
public static class _t_events{
public boolean IsInitialized;
public String StartDate;
public String Typ;
public String Label;
public void Initialize() {
IsInitialized = true;
StartDate = "";
Typ = "";
Label = "";
}
@Override
		public String toString() {
			return BA.TypeToString(this, false);
		}}
public static class _t_ims{
public boolean IsInitialized;
public String Protocol;
public String CustomProtocol;
public String Data;
public String Name;
public String Typ;
public String Label;
public void Initialize() {
IsInitialized = true;
Protocol = "";
CustomProtocol = "";
Data = "";
Name = "";
Typ = "";
Label = "";
}
@Override
		public String toString() {
			return BA.TypeToString(this, false);
		}}
public static class _t_sipaddresses{
public boolean IsInitialized;
public String SipAddress;
public String Typ;
public String Label;
public void Initialize() {
IsInitialized = true;
SipAddress = "";
Typ = "";
Label = "";
}
@Override
		public String toString() {
			return BA.TypeToString(this, false);
		}}
public static class _t_websites{
public boolean IsInitialized;
public String URL;
public String Typ;
public String Label;
public void Initialize() {
IsInitialized = true;
URL = "";
Typ = "";
Label = "";
}
@Override
		public String toString() {
			return BA.TypeToString(this, false);
		}}
public static class _t_mytypes{
public boolean IsInitialized;
public String URL;
public anywheresoftware.b4a.objects.drawable.CanvasWrapper.BitmapWrapper T_Bitmap;
public boolean State;
public void Initialize() {
IsInitialized = true;
URL = "";
T_Bitmap = new anywheresoftware.b4a.objects.drawable.CanvasWrapper.BitmapWrapper();
State = false;
}
@Override
		public String toString() {
			return BA.TypeToString(this, false);
		}}
public anywheresoftware.b4a.keywords.Common __c = null;
public static String _zip_backup_file = "";
public static String _zip_database_file = "";
public static String _zip_tempfile_folrder = "";
public static String _zip_defaultfile_folder = "";
public static String _zip_externalfile_folder = "";
public static String _demo = "";
public static int _rehber_adet = 0;
public static b4a.example.contactbook _cb = null;
public static anywheresoftware.b4a.objects.collections.List _rehber = null;
public static anywheresoftware.b4a.objects.collections.List _mylist = null;
public anywheresoftware.b4a.objects.Timer _sayac = null;
public anywheresoftware.b4a.phone.Phone.PhoneWakeState _xx = null;
public anywheresoftware.b4a.objects.LabelWrapper _lbl = null;
public anywheresoftware.b4a.objects.ButtonWrapper _btn_1 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _btn_2 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _btn_3 = null;
public anywheresoftware.b4a.objects.PanelWrapper _panel_backup_1 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _img_pnlbckp1_1 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _img_pnlbckp1_2 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _img_pnlbckp1_3 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _img_pnlbckp1_4 = null;
public anywheresoftware.b4a.agraham.dialogs.InputDialog.FileDialog _fd = null;
public static int _sayac_ana = 0;
public static int _sayac_resim = 0;
public static int _sayac_tel = 0;
public anywheresoftware.b4a.objects.ListViewWrapper _lstcontacts = null;
public anywheresoftware.b4a.objects.EditTextWrapper _edittext1 = null;
public b4a.example.contactstatics _contactstatics = null;
public b4a.example.contactmimetypes _contactmimetypes = null;
public contact.backup.starter _starter = null;
public static String  _activity_create(boolean _firsttime) throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate("activity_create"))
	return (String) Debug.delegate(mostCurrent.activityBA, "activity_create", new Object[] {_firsttime});
int _m = 0;
anywheresoftware.b4a.objects.drawable.ColorDrawable _labelborder = null;
RDebugUtils.currentLine=131072;
 //BA.debugLineNum = 131072;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
RDebugUtils.currentLine=131075;
 //BA.debugLineNum = 131075;BA.debugLine="ZIP_Database_File=\"mybackupfile.bckpfl\"	' rehber";
_zip_database_file = "mybackupfile.bckpfl";
RDebugUtils.currentLine=131076;
 //BA.debugLineNum = 131076;BA.debugLine="ZIP_TempFile_Folrder=File.DirDefaultExternal&\"/Te";
_zip_tempfile_folrder = anywheresoftware.b4a.keywords.Common.File.getDirDefaultExternal()+"/Temp";
RDebugUtils.currentLine=131077;
 //BA.debugLineNum = 131077;BA.debugLine="ZIP_DefaultFile_Folder=File.DirDefaultExternal '";
_zip_defaultfile_folder = anywheresoftware.b4a.keywords.Common.File.getDirDefaultExternal();
RDebugUtils.currentLine=131078;
 //BA.debugLineNum = 131078;BA.debugLine="ZIP_ExternalFile_Folder=File.DirDefaultExternal&\"";
_zip_externalfile_folder = anywheresoftware.b4a.keywords.Common.File.getDirDefaultExternal()+"/External";
RDebugUtils.currentLine=131079;
 //BA.debugLineNum = 131079;BA.debugLine="ZIP_Backup_File=\"backup2016.cbckp\"'.zip\"";
_zip_backup_file = "backup2016.cbckp";
RDebugUtils.currentLine=131080;
 //BA.debugLineNum = 131080;BA.debugLine="Dim m As Int";
_m = 0;
RDebugUtils.currentLine=131081;
 //BA.debugLineNum = 131081;BA.debugLine="xx.KeepAlive(True)";
mostCurrent._xx.KeepAlive(processBA,anywheresoftware.b4a.keywords.Common.True);
RDebugUtils.currentLine=131082;
 //BA.debugLineNum = 131082;BA.debugLine="Activity.Color=Colors.DarkGray'ARGB(255,204,243,2";
mostCurrent._activity.setColor(anywheresoftware.b4a.keywords.Common.Colors.DarkGray);
RDebugUtils.currentLine=131084;
 //BA.debugLineNum = 131084;BA.debugLine="If FirstTime Then";
if (_firsttime) { 
RDebugUtils.currentLine=131086;
 //BA.debugLineNum = 131086;BA.debugLine="cb.Initialize";
_cb._initialize(processBA);
 };
RDebugUtils.currentLine=131095;
 //BA.debugLineNum = 131095;BA.debugLine="lbl.Initialize(\"lbl\")";
mostCurrent._lbl.Initialize(mostCurrent.activityBA,"lbl");
RDebugUtils.currentLine=131096;
 //BA.debugLineNum = 131096;BA.debugLine="Activity.AddView(lbl, 5%x,66%x-15%x + 100,56%x,15";
mostCurrent._activity.AddView((android.view.View)(mostCurrent._lbl.getObject()),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (5),mostCurrent.activityBA),(int) (anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (66),mostCurrent.activityBA)-anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (15),mostCurrent.activityBA)+100),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (56),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (15),mostCurrent.activityBA));
RDebugUtils.currentLine=131097;
 //BA.debugLineNum = 131097;BA.debugLine="lbl.Text=\"CONTACTS\"";
mostCurrent._lbl.setText((Object)("CONTACTS"));
RDebugUtils.currentLine=131098;
 //BA.debugLineNum = 131098;BA.debugLine="lbl.Gravity=Gravity.CENTER";
mostCurrent._lbl.setGravity(anywheresoftware.b4a.keywords.Common.Gravity.CENTER);
RDebugUtils.currentLine=131099;
 //BA.debugLineNum = 131099;BA.debugLine="Dim LabelBorder As ColorDrawable";
_labelborder = new anywheresoftware.b4a.objects.drawable.ColorDrawable();
RDebugUtils.currentLine=131100;
 //BA.debugLineNum = 131100;BA.debugLine="LabelBorder.initialize2(Colors.LightGray,5dip,2di";
_labelborder.Initialize2(anywheresoftware.b4a.keywords.Common.Colors.LightGray,anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (5)),anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (2)),anywheresoftware.b4a.keywords.Common.Colors.Blue);
RDebugUtils.currentLine=131101;
 //BA.debugLineNum = 131101;BA.debugLine="lbl.Background=LabelBorder";
mostCurrent._lbl.setBackground((android.graphics.drawable.Drawable)(_labelborder.getObject()));
RDebugUtils.currentLine=131103;
 //BA.debugLineNum = 131103;BA.debugLine="lbl.TextColor=Colors.Red";
mostCurrent._lbl.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.Red);
RDebugUtils.currentLine=131104;
 //BA.debugLineNum = 131104;BA.debugLine="lbl.TextSize=lbl.Height/2";
mostCurrent._lbl.setTextSize((float) (mostCurrent._lbl.getHeight()/(double)2));
RDebugUtils.currentLine=131108;
 //BA.debugLineNum = 131108;BA.debugLine="btn_1.Initialize(\"btn_1\")";
mostCurrent._btn_1.Initialize(mostCurrent.activityBA,"btn_1");
RDebugUtils.currentLine=131109;
 //BA.debugLineNum = 131109;BA.debugLine="Activity.AddView(btn_1,2%x,2%x,90%x,30%x)";
mostCurrent._activity.AddView((android.view.View)(mostCurrent._btn_1.getObject()),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (2),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (2),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (90),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (30),mostCurrent.activityBA));
RDebugUtils.currentLine=131110;
 //BA.debugLineNum = 131110;BA.debugLine="btn_1.Text=\"Load file\"";
mostCurrent._btn_1.setText((Object)("Load file"));
RDebugUtils.currentLine=131111;
 //BA.debugLineNum = 131111;BA.debugLine="btn_1.Gravity=Gravity.FILL";
mostCurrent._btn_1.setGravity(anywheresoftware.b4a.keywords.Common.Gravity.FILL);
RDebugUtils.currentLine=131114;
 //BA.debugLineNum = 131114;BA.debugLine="End Sub";
return "";
}
public static boolean  _activity_keypress(int _keycode) throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate("activity_keypress"))
	return (Boolean) Debug.delegate(mostCurrent.activityBA, "activity_keypress", new Object[] {_keycode});
RDebugUtils.currentLine=655360;
 //BA.debugLineNum = 655360;BA.debugLine="Sub Activity_KeyPress (KeyCode As Int) As Boolean";
RDebugUtils.currentLine=655362;
 //BA.debugLineNum = 655362;BA.debugLine="End Sub";
return false;
}
public static String  _activity_pause(boolean _userclosed) throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate("activity_pause"))
	return (String) Debug.delegate(mostCurrent.activityBA, "activity_pause", new Object[] {_userclosed});
RDebugUtils.currentLine=262144;
 //BA.debugLineNum = 262144;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
RDebugUtils.currentLine=262146;
 //BA.debugLineNum = 262146;BA.debugLine="End Sub";
return "";
}
public static String  _activity_resume() throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate("activity_resume"))
	return (String) Debug.delegate(mostCurrent.activityBA, "activity_resume", null);
RDebugUtils.currentLine=196608;
 //BA.debugLineNum = 196608;BA.debugLine="Sub Activity_Resume";
RDebugUtils.currentLine=196611;
 //BA.debugLineNum = 196611;BA.debugLine="End Sub";
return "";
}
public static String  _btn_1_click() throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate("btn_1_click"))
	return (String) Debug.delegate(mostCurrent.activityBA, "btn_1_click", null);
int _x = 0;
RDebugUtils.currentLine=2097152;
 //BA.debugLineNum = 2097152;BA.debugLine="Sub btn_1_Click";
RDebugUtils.currentLine=2097153;
 //BA.debugLineNum = 2097153;BA.debugLine="If btn_1.Enabled=False Then Return";
if (mostCurrent._btn_1.getEnabled()==anywheresoftware.b4a.keywords.Common.False) { 
if (true) return "";};
RDebugUtils.currentLine=2097155;
 //BA.debugLineNum = 2097155;BA.debugLine="Log(\"cilick\")";
anywheresoftware.b4a.keywords.Common.Log("cilick");
RDebugUtils.currentLine=2097156;
 //BA.debugLineNum = 2097156;BA.debugLine="DoEvents";
anywheresoftware.b4a.keywords.Common.DoEvents();
RDebugUtils.currentLine=2097157;
 //BA.debugLineNum = 2097157;BA.debugLine="btn_1.Enabled=False";
mostCurrent._btn_1.setEnabled(anywheresoftware.b4a.keywords.Common.False);
RDebugUtils.currentLine=2097158;
 //BA.debugLineNum = 2097158;BA.debugLine="Dim x As Int";
_x = 0;
RDebugUtils.currentLine=2097160;
 //BA.debugLineNum = 2097160;BA.debugLine="mylist.Initialize";
_mylist.Initialize();
RDebugUtils.currentLine=2097161;
 //BA.debugLineNum = 2097161;BA.debugLine="mylist= Rehber_icin_yedekten_oku(File.DirAssets";
_mylist = _rehber_icin_yedekten_oku(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"mybackupfile.bckpfl");
RDebugUtils.currentLine=2097162;
 //BA.debugLineNum = 2097162;BA.debugLine="Log(\"loaded contact list from file to rom\")";
anywheresoftware.b4a.keywords.Common.Log("loaded contact list from file to rom");
RDebugUtils.currentLine=2097163;
 //BA.debugLineNum = 2097163;BA.debugLine="btn_1.Tag=0";
mostCurrent._btn_1.setTag((Object)(0));
RDebugUtils.currentLine=2097164;
 //BA.debugLineNum = 2097164;BA.debugLine="Rehbere_Kayit_Yap_listeden(cb,mylist,True,File.Di";
_rehbere_kayit_yap_listeden(_cb,_mylist,anywheresoftware.b4a.keywords.Common.True,anywheresoftware.b4a.keywords.Common.File.getDirAssets());
RDebugUtils.currentLine=2097166;
 //BA.debugLineNum = 2097166;BA.debugLine="End Sub";
return "";
}
public static anywheresoftware.b4a.objects.collections.List  _rehber_icin_yedekten_oku(String _yedegin_klsoru,String _yedek_db) throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate("rehber_icin_yedekten_oku"))
	return (anywheresoftware.b4a.objects.collections.List) Debug.delegate(mostCurrent.activityBA, "rehber_icin_yedekten_oku", new Object[] {_yedegin_klsoru,_yedek_db});
anywheresoftware.b4a.objects.collections.List _yedek = null;
anywheresoftware.b4a.randomaccessfile.RandomAccessFile _raf = null;
RDebugUtils.currentLine=3145728;
 //BA.debugLineNum = 3145728;BA.debugLine="Sub Rehber_icin_yedekten_oku (yedegin_klsoru As St";
RDebugUtils.currentLine=3145729;
 //BA.debugLineNum = 3145729;BA.debugLine="Dim yedek As List";
_yedek = new anywheresoftware.b4a.objects.collections.List();
RDebugUtils.currentLine=3145730;
 //BA.debugLineNum = 3145730;BA.debugLine="yedek.Initialize";
_yedek.Initialize();
RDebugUtils.currentLine=3145732;
 //BA.debugLineNum = 3145732;BA.debugLine="File.Copy(File.DirAssets,\"my.txt\",File.DirDefault";
anywheresoftware.b4a.keywords.Common.File.Copy(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"my.txt",anywheresoftware.b4a.keywords.Common.File.getDirDefaultExternal(),"my.txt");
RDebugUtils.currentLine=3145733;
 //BA.debugLineNum = 3145733;BA.debugLine="If File.Exists(File.DirDefaultExternal,\"my.txt\")";
if (anywheresoftware.b4a.keywords.Common.File.Exists(anywheresoftware.b4a.keywords.Common.File.getDirDefaultExternal(),"my.txt")) { 
RDebugUtils.currentLine=3145735;
 //BA.debugLineNum = 3145735;BA.debugLine="DoEvents";
anywheresoftware.b4a.keywords.Common.DoEvents();
RDebugUtils.currentLine=3145736;
 //BA.debugLineNum = 3145736;BA.debugLine="Dim raf As RandomAccessFile";
_raf = new anywheresoftware.b4a.randomaccessfile.RandomAccessFile();
RDebugUtils.currentLine=3145737;
 //BA.debugLineNum = 3145737;BA.debugLine="raf.Initialize(File.DirDefaultExternal,\"my.txt\"";
_raf.Initialize(anywheresoftware.b4a.keywords.Common.File.getDirDefaultExternal(),"my.txt",anywheresoftware.b4a.keywords.Common.True);
RDebugUtils.currentLine=3145738;
 //BA.debugLineNum = 3145738;BA.debugLine="yedek=raf.ReadObject (raf.CurrentPosition)";
_yedek.setObject((java.util.List)(_raf.ReadObject(_raf.CurrentPosition)));
RDebugUtils.currentLine=3145739;
 //BA.debugLineNum = 3145739;BA.debugLine="raf.Close";
_raf.Close();
RDebugUtils.currentLine=3145740;
 //BA.debugLineNum = 3145740;BA.debugLine="Return yedek";
if (true) return _yedek;
 }else {
RDebugUtils.currentLine=3145742;
 //BA.debugLineNum = 3145742;BA.debugLine="Return yedek ' bos liste döner";
if (true) return _yedek;
 };
RDebugUtils.currentLine=3145744;
 //BA.debugLineNum = 3145744;BA.debugLine="End Sub";
return null;
}
public static String  _rehbere_kayit_yap_listeden(b4a.example.contactbook _cbook,anywheresoftware.b4a.objects.collections.List _rehberlistesi,boolean _addpicture,String _directory) throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate("rehbere_kayit_yap_listeden"))
	return (String) Debug.delegate(mostCurrent.activityBA, "rehbere_kayit_yap_listeden", new Object[] {_cbook,_rehberlistesi,_addpicture,_directory});
int _i = 0;
RDebugUtils.currentLine=3014656;
 //BA.debugLineNum = 3014656;BA.debugLine="Sub Rehbere_Kayit_Yap_listeden(cbook As  ContactBo";
RDebugUtils.currentLine=3014658;
 //BA.debugLineNum = 3014658;BA.debugLine="For i=0 To Rehberlistesi.Size-1";
{
final int step1 = 1;
final int limit1 = (int) (_rehberlistesi.getSize()-1);
for (_i = (int) (0) ; (step1 > 0 && _i <= limit1) || (step1 < 0 && _i >= limit1); _i = ((int)(0 + _i + step1)) ) {
RDebugUtils.currentLine=3014659;
 //BA.debugLineNum = 3014659;BA.debugLine="sayac_ana=sayac_ana+1";
_sayac_ana = (int) (_sayac_ana+1);
RDebugUtils.currentLine=3014660;
 //BA.debugLineNum = 3014660;BA.debugLine="Rehbere_Kayit_Yaz(cbook,Rehberlistesi.Get(i),Tru";
_rehbere_kayit_yaz(_cbook,(contact.backup.main._fullrehber)(_rehberlistesi.Get(_i)),anywheresoftware.b4a.keywords.Common.True,_directory);
RDebugUtils.currentLine=3014661;
 //BA.debugLineNum = 3014661;BA.debugLine="DoEvents";
anywheresoftware.b4a.keywords.Common.DoEvents();
RDebugUtils.currentLine=3014662;
 //BA.debugLineNum = 3014662;BA.debugLine="sayac_Tick";
_sayac_tick();
 }
};
RDebugUtils.currentLine=3014665;
 //BA.debugLineNum = 3014665;BA.debugLine="btn_1.Enabled=True";
mostCurrent._btn_1.setEnabled(anywheresoftware.b4a.keywords.Common.True);
RDebugUtils.currentLine=3014668;
 //BA.debugLineNum = 3014668;BA.debugLine="Msgbox(\"Record complate..\",\"hiii\")";
anywheresoftware.b4a.keywords.Common.Msgbox("Record complate..","hiii",mostCurrent.activityBA);
RDebugUtils.currentLine=3014669;
 //BA.debugLineNum = 3014669;BA.debugLine="End Sub";
return "";
}
public static boolean  _dizin_sil(String _directory,boolean _withsubfolders) throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate("dizin_sil"))
	return (Boolean) Debug.delegate(mostCurrent.activityBA, "dizin_sil", new Object[] {_directory,_withsubfolders});
anywheresoftware.b4a.objects.collections.List _dlist = null;
int _i = 0;
RDebugUtils.currentLine=3211264;
 //BA.debugLineNum = 3211264;BA.debugLine="Sub Dizin_sil(Directory As String, WithSubFolders";
RDebugUtils.currentLine=3211265;
 //BA.debugLineNum = 3211265;BA.debugLine="If File.IsDirectory(Directory,\"\") = False Then Re";
if (anywheresoftware.b4a.keywords.Common.File.IsDirectory(_directory,"")==anywheresoftware.b4a.keywords.Common.False) { 
if (true) return anywheresoftware.b4a.keywords.Common.True;};
RDebugUtils.currentLine=3211267;
 //BA.debugLineNum = 3211267;BA.debugLine="Dim dlist As List = File.ListFiles(Directory)";
_dlist = new anywheresoftware.b4a.objects.collections.List();
_dlist = anywheresoftware.b4a.keywords.Common.File.ListFiles(_directory);
RDebugUtils.currentLine=3211269;
 //BA.debugLineNum = 3211269;BA.debugLine="If dlist.Size=0 Then";
if (_dlist.getSize()==0) { 
RDebugUtils.currentLine=3211270;
 //BA.debugLineNum = 3211270;BA.debugLine="File.Delete(Directory,\"\")";
anywheresoftware.b4a.keywords.Common.File.Delete(_directory,"");
RDebugUtils.currentLine=3211271;
 //BA.debugLineNum = 3211271;BA.debugLine="Return True 'içinde kayıt bulnmadı vesinlindi";
if (true) return anywheresoftware.b4a.keywords.Common.True;
 }else {
RDebugUtils.currentLine=3211274;
 //BA.debugLineNum = 3211274;BA.debugLine="For i=0 To dlist.Size-1";
{
final int step7 = 1;
final int limit7 = (int) (_dlist.getSize()-1);
for (_i = (int) (0) ; (step7 > 0 && _i <= limit7) || (step7 < 0 && _i >= limit7); _i = ((int)(0 + _i + step7)) ) {
RDebugUtils.currentLine=3211275;
 //BA.debugLineNum = 3211275;BA.debugLine="If File.IsDirectory(Directory,dlist.Get(i)) Th";
if (anywheresoftware.b4a.keywords.Common.File.IsDirectory(_directory,BA.ObjectToString(_dlist.Get(_i)))) { 
RDebugUtils.currentLine=3211277;
 //BA.debugLineNum = 3211277;BA.debugLine="If WithSubFolders Then";
if (_withsubfolders) { 
RDebugUtils.currentLine=3211278;
 //BA.debugLineNum = 3211278;BA.debugLine="If (Dizin_sil(Directory&\"/\"&dlist.Get(i),Wi";
if ((_dizin_sil(_directory+"/"+BA.ObjectToString(_dlist.Get(_i)),_withsubfolders))==anywheresoftware.b4a.keywords.Common.False) { 
if (true) return anywheresoftware.b4a.keywords.Common.False;};
 };
 }else {
RDebugUtils.currentLine=3211282;
 //BA.debugLineNum = 3211282;BA.debugLine="File.Delete(Directory,dlist.Get(i))";
anywheresoftware.b4a.keywords.Common.File.Delete(_directory,BA.ObjectToString(_dlist.Get(_i)));
 };
 }
};
RDebugUtils.currentLine=3211287;
 //BA.debugLineNum = 3211287;BA.debugLine="File.Delete(Directory,\"\") 'kayıtalr silindi...";
anywheresoftware.b4a.keywords.Common.File.Delete(_directory,"");
RDebugUtils.currentLine=3211288;
 //BA.debugLineNum = 3211288;BA.debugLine="Return True";
if (true) return anywheresoftware.b4a.keywords.Common.True;
 };
RDebugUtils.currentLine=3211291;
 //BA.debugLineNum = 3211291;BA.debugLine="Return False";
if (true) return anywheresoftware.b4a.keywords.Common.False;
RDebugUtils.currentLine=3211292;
 //BA.debugLineNum = 3211292;BA.debugLine="End Sub";
return false;
}
public static String  _fake_record(b4a.example.contactbook _cbook) throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate("fake_record"))
	return (String) Debug.delegate(mostCurrent.activityBA, "fake_record", new Object[] {_cbook});
b4a.example.contactitem _citem = null;
b4a.example.contactnickname _cnn = null;
b4a.example.contactstructuredname _csname = null;
b4a.example.contactaddress _cadress2 = null;
b4a.example.contactemailaddress _cemail = null;
b4a.example.contactim _cim = null;
b4a.example.contactrelation _crel = null;
b4a.example.contactorganization _corg = null;
b4a.example.contactphonenumber _cphonenum = null;
int _index = 0;
b4a.example.contactsipaddress _csip = null;
b4a.example.contactwebsite _cweb = null;
b4a.example.contactevent _cevent = null;
anywheresoftware.b4a.objects.drawable.CanvasWrapper.BitmapWrapper _thumbbitmap = null;
RDebugUtils.currentLine=3866624;
 //BA.debugLineNum = 3866624;BA.debugLine="Sub Fake_record(cbook As ContactBook)";
RDebugUtils.currentLine=3866625;
 //BA.debugLineNum = 3866625;BA.debugLine="Log(ContactStatics.PhoneNumberTypes)";
anywheresoftware.b4a.keywords.Common.Log(BA.ObjectToString(mostCurrent._contactstatics._phonenumbertypes(mostCurrent.activityBA)));
RDebugUtils.currentLine=3866626;
 //BA.debugLineNum = 3866626;BA.debugLine="Log(ContactStatics.AddressTypes)";
anywheresoftware.b4a.keywords.Common.Log(BA.ObjectToString(mostCurrent._contactstatics._addresstypes(mostCurrent.activityBA)));
RDebugUtils.currentLine=3866627;
 //BA.debugLineNum = 3866627;BA.debugLine="Log(ContactStatics.CONTACTS_URL)";
anywheresoftware.b4a.keywords.Common.Log(mostCurrent._contactstatics._contacts_url);
RDebugUtils.currentLine=3866628;
 //BA.debugLineNum = 3866628;BA.debugLine="Log(ContactStatics.DATA_URL)";
anywheresoftware.b4a.keywords.Common.Log(mostCurrent._contactstatics._data_url);
RDebugUtils.currentLine=3866629;
 //BA.debugLineNum = 3866629;BA.debugLine="Log(ContactStatics.EmailAddressTypes)";
anywheresoftware.b4a.keywords.Common.Log(BA.ObjectToString(mostCurrent._contactstatics._emailaddresstypes(mostCurrent.activityBA)));
RDebugUtils.currentLine=3866630;
 //BA.debugLineNum = 3866630;BA.debugLine="Log(ContactStatics.EventTypes)";
anywheresoftware.b4a.keywords.Common.Log(BA.ObjectToString(mostCurrent._contactstatics._eventtypes(mostCurrent.activityBA)));
RDebugUtils.currentLine=3866631;
 //BA.debugLineNum = 3866631;BA.debugLine="Log(ContactStatics.FullNameStyles)";
anywheresoftware.b4a.keywords.Common.Log(BA.ObjectToString(mostCurrent._contactstatics._fullnamestyles(mostCurrent.activityBA)));
RDebugUtils.currentLine=3866632;
 //BA.debugLineNum = 3866632;BA.debugLine="Log(ContactStatics.GROUPS_URL)";
anywheresoftware.b4a.keywords.Common.Log(mostCurrent._contactstatics._groups_url);
RDebugUtils.currentLine=3866633;
 //BA.debugLineNum = 3866633;BA.debugLine="Log(ContactStatics.IMTypes)";
anywheresoftware.b4a.keywords.Common.Log(BA.ObjectToString(mostCurrent._contactstatics._imtypes(mostCurrent.activityBA)));
RDebugUtils.currentLine=3866634;
 //BA.debugLineNum = 3866634;BA.debugLine="Log(ContactStatics.IMProtocols)";
anywheresoftware.b4a.keywords.Common.Log(BA.ObjectToString(mostCurrent._contactstatics._improtocols(mostCurrent.activityBA)));
RDebugUtils.currentLine=3866635;
 //BA.debugLineNum = 3866635;BA.debugLine="Log(ContactStatics.NicknameTypes)";
anywheresoftware.b4a.keywords.Common.Log(BA.ObjectToString(mostCurrent._contactstatics._nicknametypes(mostCurrent.activityBA)));
RDebugUtils.currentLine=3866636;
 //BA.debugLineNum = 3866636;BA.debugLine="Log(ContactStatics.OrganizationTypes)";
anywheresoftware.b4a.keywords.Common.Log(BA.ObjectToString(mostCurrent._contactstatics._organizationtypes(mostCurrent.activityBA)));
RDebugUtils.currentLine=3866637;
 //BA.debugLineNum = 3866637;BA.debugLine="Log(ContactStatics.PhoneNumberTypes)";
anywheresoftware.b4a.keywords.Common.Log(BA.ObjectToString(mostCurrent._contactstatics._phonenumbertypes(mostCurrent.activityBA)));
RDebugUtils.currentLine=3866639;
 //BA.debugLineNum = 3866639;BA.debugLine="Log(ContactStatics.RAW_CONTACTS_URL)";
anywheresoftware.b4a.keywords.Common.Log(mostCurrent._contactstatics._raw_contacts_url);
RDebugUtils.currentLine=3866640;
 //BA.debugLineNum = 3866640;BA.debugLine="Log(ContactStatics.RelationTypes)";
anywheresoftware.b4a.keywords.Common.Log(BA.ObjectToString(mostCurrent._contactstatics._relationtypes(mostCurrent.activityBA)));
RDebugUtils.currentLine=3866641;
 //BA.debugLineNum = 3866641;BA.debugLine="Log(ContactStatics.SipAddressTypes)";
anywheresoftware.b4a.keywords.Common.Log(BA.ObjectToString(mostCurrent._contactstatics._sipaddresstypes(mostCurrent.activityBA)));
RDebugUtils.currentLine=3866642;
 //BA.debugLineNum = 3866642;BA.debugLine="Log(ContactStatics.WebsiteTypes)";
anywheresoftware.b4a.keywords.Common.Log(BA.ObjectToString(mostCurrent._contactstatics._websitetypes(mostCurrent.activityBA)));
RDebugUtils.currentLine=3866645;
 //BA.debugLineNum = 3866645;BA.debugLine="Try";
try {RDebugUtils.currentLine=3866646;
 //BA.debugLineNum = 3866646;BA.debugLine="Dim Citem As ContactItem";
_citem = new b4a.example.contactitem();
RDebugUtils.currentLine=3866647;
 //BA.debugLineNum = 3866647;BA.debugLine="Citem=cbook.AddContact(\".XX.\"&\"Fake Name\")";
_citem = _cbook._addcontact(".XX."+"Fake Name");
RDebugUtils.currentLine=3866650;
 //BA.debugLineNum = 3866650;BA.debugLine="Dim Cnn As ContactNickname";
_cnn = new b4a.example.contactnickname();
RDebugUtils.currentLine=3866651;
 //BA.debugLineNum = 3866651;BA.debugLine="Cnn.Initialize";
_cnn._initialize(processBA);
RDebugUtils.currentLine=3866652;
 //BA.debugLineNum = 3866652;BA.debugLine="Cnn.Name=\".Xnick name\"'Kayit.Nick_Names(i).Name&";
_cnn._setname(".Xnick name");
RDebugUtils.currentLine=3866653;
 //BA.debugLineNum = 3866653;BA.debugLine="Cnn.Label=\"\"'Kayit.Nick_Names(i).Label";
_cnn._setlabel("");
RDebugUtils.currentLine=3866654;
 //BA.debugLineNum = 3866654;BA.debugLine="Cnn.Typ=\"sfasdfa\"'Kayit.Nick_Names(i).Typ";
_cnn._settyp("sfasdfa");
RDebugUtils.currentLine=3866655;
 //BA.debugLineNum = 3866655;BA.debugLine="Citem.AddNickname(Cnn)";
_citem._addnickname(_cnn);
RDebugUtils.currentLine=3866657;
 //BA.debugLineNum = 3866657;BA.debugLine="Dim Csname As ContactStructuredName";
_csname = new b4a.example.contactstructuredname();
RDebugUtils.currentLine=3866658;
 //BA.debugLineNum = 3866658;BA.debugLine="Csname.Initialize";
_csname._initialize(processBA);
RDebugUtils.currentLine=3866659;
 //BA.debugLineNum = 3866659;BA.debugLine="Csname.DisplayName=\".XX. disp name\"'Kayit.Struct";
_csname._setdisplayname(".XX. disp name");
RDebugUtils.currentLine=3866660;
 //BA.debugLineNum = 3866660;BA.debugLine="Csname.FamilyName=\".xfname\"'Kayit.Structured_Nam";
_csname._setfamilyname(".xfname");
RDebugUtils.currentLine=3866661;
 //BA.debugLineNum = 3866661;BA.debugLine="Csname.FullNameStyle = \".xfna style\"'Kayit.Struc";
_csname._setfullnamestyle(".xfna style");
RDebugUtils.currentLine=3866662;
 //BA.debugLineNum = 3866662;BA.debugLine="Csname.GivenName =\".xgn\"' Kayit.Structured_Name.";
_csname._setgivenname(".xgn");
RDebugUtils.currentLine=3866663;
 //BA.debugLineNum = 3866663;BA.debugLine="Csname.MiddleName =\".xmn\"' Kayit.Structured_Name";
_csname._setmiddlename(".xmn");
RDebugUtils.currentLine=3866664;
 //BA.debugLineNum = 3866664;BA.debugLine="Csname.PhoneticFamilyName = \".xfmm\"'Kayit.Struct";
_csname._setphoneticfamilyname(".xfmm");
RDebugUtils.currentLine=3866665;
 //BA.debugLineNum = 3866665;BA.debugLine="Csname.PhoneticGivenName =\".xfmmm\"' Kayit.Struct";
_csname._setphoneticgivenname(".xfmmm");
RDebugUtils.currentLine=3866666;
 //BA.debugLineNum = 3866666;BA.debugLine="Csname.Prefix = \".xprf\"'Kayit.Structured_Name.Pr";
_csname._setprefix(".xprf");
RDebugUtils.currentLine=3866667;
 //BA.debugLineNum = 3866667;BA.debugLine="Csname.Suffix = \".xsdffgg\"'Kayit.Structured_Name";
_csname._setsuffix(".xsdffgg");
RDebugUtils.currentLine=3866668;
 //BA.debugLineNum = 3866668;BA.debugLine="Csname.PhoneticMiddleName = \"werqwerw\"'Kayit.Str";
_csname._setphoneticmiddlename("werqwerw");
RDebugUtils.currentLine=3866669;
 //BA.debugLineNum = 3866669;BA.debugLine="Citem.StructuredName=Csname";
_citem._setstructuredname(_csname);
RDebugUtils.currentLine=3866671;
 //BA.debugLineNum = 3866671;BA.debugLine="Dim Cadress2 As ContactAddress";
_cadress2 = new b4a.example.contactaddress();
RDebugUtils.currentLine=3866672;
 //BA.debugLineNum = 3866672;BA.debugLine="Cadress2.Initialize";
_cadress2._initialize(processBA);
RDebugUtils.currentLine=3866673;
 //BA.debugLineNum = 3866673;BA.debugLine="Cadress2.City=\"istanbul\"";
_cadress2._setcity("istanbul");
RDebugUtils.currentLine=3866674;
 //BA.debugLineNum = 3866674;BA.debugLine="Cadress2.Country=\"turkey\"";
_cadress2._setcountry("turkey");
RDebugUtils.currentLine=3866675;
 //BA.debugLineNum = 3866675;BA.debugLine="Cadress2.Formatted=\"\"'Kayit.Local_Addresses(i).F";
_cadress2._setformatted("");
RDebugUtils.currentLine=3866676;
 //BA.debugLineNum = 3866676;BA.debugLine="Cadress2.Label=\"\"'Kayit.Local_Addresses(i).Label";
_cadress2._setlabel("");
RDebugUtils.currentLine=3866677;
 //BA.debugLineNum = 3866677;BA.debugLine="Cadress2.Typ=\"sallamöa\"'Kayit.Local_Addresses(i)";
_cadress2._settyp("sallamöa");
RDebugUtils.currentLine=3866678;
 //BA.debugLineNum = 3866678;BA.debugLine="Cadress2.Neighborhood=\"\"'Kayit.Local_Addresses(i";
_cadress2._setneighborhood("");
RDebugUtils.currentLine=3866679;
 //BA.debugLineNum = 3866679;BA.debugLine="Cadress2.POBox=\"12345\"'Kayit.Local_Addresses(i).";
_cadress2._setpobox("12345");
RDebugUtils.currentLine=3866680;
 //BA.debugLineNum = 3866680;BA.debugLine="Cadress2.Postcode=\"\"'Kayit.Local_Addresses(i).Po";
_cadress2._setpostcode("");
RDebugUtils.currentLine=3866681;
 //BA.debugLineNum = 3866681;BA.debugLine="Cadress2.Region=\"\"'Kayit.Local_Addresses(i).Regi";
_cadress2._setregion("");
RDebugUtils.currentLine=3866682;
 //BA.debugLineNum = 3866682;BA.debugLine="Cadress2.Street=\"\"'Kayit.Local_Addresses(i).Stre";
_cadress2._setstreet("");
RDebugUtils.currentLine=3866683;
 //BA.debugLineNum = 3866683;BA.debugLine="Citem.AddAddress(Cadress2)";
_citem._addaddress(_cadress2);
RDebugUtils.currentLine=3866685;
 //BA.debugLineNum = 3866685;BA.debugLine="Dim Cemail As ContactEmailAddress";
_cemail = new b4a.example.contactemailaddress();
RDebugUtils.currentLine=3866686;
 //BA.debugLineNum = 3866686;BA.debugLine="Cemail.Initialize";
_cemail._initialize(processBA);
RDebugUtils.currentLine=3866687;
 //BA.debugLineNum = 3866687;BA.debugLine="Cemail.Address =\"t@gmail.com\"'Kayit.Email_Addres";
_cemail._setaddress("t@gmail.com");
RDebugUtils.currentLine=3866689;
 //BA.debugLineNum = 3866689;BA.debugLine="Cemail.Label=\"\"'Kayit.Email_Addresses(i).Label";
_cemail._setlabel("");
RDebugUtils.currentLine=3866690;
 //BA.debugLineNum = 3866690;BA.debugLine="Cemail.Typ=\"\"'Kayit.Email_Addresses(i).Typ";
_cemail._settyp("");
RDebugUtils.currentLine=3866691;
 //BA.debugLineNum = 3866691;BA.debugLine="If True Then";
if (anywheresoftware.b4a.keywords.Common.True) { 
RDebugUtils.currentLine=3866692;
 //BA.debugLineNum = 3866692;BA.debugLine="Citem.SetPrimaryEmailAddress(Cemail)";
_citem._setprimaryemailaddress(_cemail);
 }else {
RDebugUtils.currentLine=3866694;
 //BA.debugLineNum = 3866694;BA.debugLine="Citem.AddEmailAddress(Cemail)";
_citem._addemailaddress(_cemail);
 };
RDebugUtils.currentLine=3866697;
 //BA.debugLineNum = 3866697;BA.debugLine="Dim Cim As ContactIM";
_cim = new b4a.example.contactim();
RDebugUtils.currentLine=3866698;
 //BA.debugLineNum = 3866698;BA.debugLine="Cim.Initialize";
_cim._initialize(processBA);
RDebugUtils.currentLine=3866699;
 //BA.debugLineNum = 3866699;BA.debugLine="Cim.Data=\"data cim\"'Kayit.Co_IMs(i).Data";
_cim._setdata("data cim");
RDebugUtils.currentLine=3866700;
 //BA.debugLineNum = 3866700;BA.debugLine="Cim.CustomProtocol =\"\"'Kayit.Co_IMs(i).CustomPro";
_cim._setcustomprotocol("");
RDebugUtils.currentLine=3866701;
 //BA.debugLineNum = 3866701;BA.debugLine="Cim.Label=\"\"'Kayit.Co_IMs(i).Label";
_cim._setlabel("");
RDebugUtils.currentLine=3866702;
 //BA.debugLineNum = 3866702;BA.debugLine="Cim.Typ=\"\"'Kayit.Co_IMs(i).Typ";
_cim._settyp("");
RDebugUtils.currentLine=3866703;
 //BA.debugLineNum = 3866703;BA.debugLine="Citem.AddIM(Cim)";
_citem._addim(_cim);
RDebugUtils.currentLine=3866705;
 //BA.debugLineNum = 3866705;BA.debugLine="Dim Crel As ContactRelation";
_crel = new b4a.example.contactrelation();
RDebugUtils.currentLine=3866706;
 //BA.debugLineNum = 3866706;BA.debugLine="Crel.Initialize";
_crel._initialize(processBA);
RDebugUtils.currentLine=3866707;
 //BA.debugLineNum = 3866707;BA.debugLine="Crel.Name=\".xx crelatiiiion name\"'Kayit.Co_Relat";
_crel._setname(".xx crelatiiiion name");
RDebugUtils.currentLine=3866708;
 //BA.debugLineNum = 3866708;BA.debugLine="Crel.Label=\"\"'Kayit.Co_Relations(i).Label";
_crel._setlabel("");
RDebugUtils.currentLine=3866709;
 //BA.debugLineNum = 3866709;BA.debugLine="Crel.Typ=\"\"'Kayit.Co_Relations(i).Typ";
_crel._settyp("");
RDebugUtils.currentLine=3866710;
 //BA.debugLineNum = 3866710;BA.debugLine="Citem.AddRelation(Crel)";
_citem._addrelation(_crel);
RDebugUtils.currentLine=3866712;
 //BA.debugLineNum = 3866712;BA.debugLine="Dim Corg As ContactOrganization";
_corg = new b4a.example.contactorganization();
RDebugUtils.currentLine=3866713;
 //BA.debugLineNum = 3866713;BA.debugLine="Corg.Initialize";
_corg._initialize(processBA);
RDebugUtils.currentLine=3866714;
 //BA.debugLineNum = 3866714;BA.debugLine="Corg.Company=\"company\"'Kayit.Contac_Organization";
_corg._setcompany("company");
RDebugUtils.currentLine=3866715;
 //BA.debugLineNum = 3866715;BA.debugLine="Corg.Label=\"\"'Kayit.Contac_Organizations(i).Labe";
_corg._setlabel("");
RDebugUtils.currentLine=3866716;
 //BA.debugLineNum = 3866716;BA.debugLine="Corg.Typ=\"\"'Kayit.Contac_Organizations(i).Typ";
_corg._settyp("");
RDebugUtils.currentLine=3866717;
 //BA.debugLineNum = 3866717;BA.debugLine="Corg.Department=\"dept\"'Kayit.Contac_Organization";
_corg._setdepartment("dept");
RDebugUtils.currentLine=3866718;
 //BA.debugLineNum = 3866718;BA.debugLine="Corg.JobDescription=\"\"'Kayit.Contac_Organization";
_corg._setjobdescription("");
RDebugUtils.currentLine=3866719;
 //BA.debugLineNum = 3866719;BA.debugLine="Corg.OfficeLocation=\"\"'Kayit.Contac_Organization";
_corg._setofficelocation("");
RDebugUtils.currentLine=3866720;
 //BA.debugLineNum = 3866720;BA.debugLine="Corg.PhoneticName=\"\"'Kayit.Contac_Organizations(";
_corg._setphoneticname("");
RDebugUtils.currentLine=3866721;
 //BA.debugLineNum = 3866721;BA.debugLine="Corg.PhoneticNameStyle=\"\"'Kayit.Contac_Organizat";
_corg._setphoneticnamestyle("");
RDebugUtils.currentLine=3866722;
 //BA.debugLineNum = 3866722;BA.debugLine="Corg.Symbol=\"\"'Kayit.Contac_Organizations(i).Sym";
_corg._setsymbol("");
RDebugUtils.currentLine=3866723;
 //BA.debugLineNum = 3866723;BA.debugLine="Corg.Title=\"title\"'Kayit.Contac_Organizations(i)";
_corg._settitle("title");
RDebugUtils.currentLine=3866724;
 //BA.debugLineNum = 3866724;BA.debugLine="Citem.AddOrganization(Corg)";
_citem._addorganization(_corg);
RDebugUtils.currentLine=3866728;
 //BA.debugLineNum = 3866728;BA.debugLine="Dim cPhoneNum As ContactPhoneNumber";
_cphonenum = new b4a.example.contactphonenumber();
RDebugUtils.currentLine=3866729;
 //BA.debugLineNum = 3866729;BA.debugLine="For index = 0 To 3";
{
final int step90 = 1;
final int limit90 = (int) (3);
for (_index = (int) (0) ; (step90 > 0 && _index <= limit90) || (step90 < 0 && _index >= limit90); _index = ((int)(0 + _index + step90)) ) {
RDebugUtils.currentLine=3866730;
 //BA.debugLineNum = 3866730;BA.debugLine="cPhoneNum.Initialize";
_cphonenum._initialize(processBA);
RDebugUtils.currentLine=3866731;
 //BA.debugLineNum = 3866731;BA.debugLine="cPhoneNum.Typ = \"mobile\"";
_cphonenum._settyp("mobile");
RDebugUtils.currentLine=3866732;
 //BA.debugLineNum = 3866732;BA.debugLine="cPhoneNum.Number = \"+49553 34 455\" & index";
_cphonenum._setnumber("+49553 34 455"+BA.NumberToString(_index));
RDebugUtils.currentLine=3866733;
 //BA.debugLineNum = 3866733;BA.debugLine="Citem.AddPhoneNumber(cPhoneNum)";
_citem._addphonenumber(_cphonenum);
RDebugUtils.currentLine=3866734;
 //BA.debugLineNum = 3866734;BA.debugLine="Log(cPhoneNum)";
anywheresoftware.b4a.keywords.Common.Log(BA.ObjectToString(_cphonenum));
 }
};
RDebugUtils.currentLine=3866760;
 //BA.debugLineNum = 3866760;BA.debugLine="Dim Csip As ContactSipAddress";
_csip = new b4a.example.contactsipaddress();
RDebugUtils.currentLine=3866761;
 //BA.debugLineNum = 3866761;BA.debugLine="Csip.Initialize";
_csip._initialize(processBA);
RDebugUtils.currentLine=3866762;
 //BA.debugLineNum = 3866762;BA.debugLine="Csip.SipAddress=\"sipa dres\"'Kayit.Sip_Addresses(";
_csip._setsipaddress("sipa dres");
RDebugUtils.currentLine=3866763;
 //BA.debugLineNum = 3866763;BA.debugLine="Csip.Label=\"\"'Kayit.Sip_Addresses(i).Label";
_csip._setlabel("");
RDebugUtils.currentLine=3866764;
 //BA.debugLineNum = 3866764;BA.debugLine="Csip.Typ=\"\"'Kayit.Sip_Addresses(i).Typ";
_csip._settyp("");
RDebugUtils.currentLine=3866769;
 //BA.debugLineNum = 3866769;BA.debugLine="Dim Cweb As ContactWebsite";
_cweb = new b4a.example.contactwebsite();
RDebugUtils.currentLine=3866770;
 //BA.debugLineNum = 3866770;BA.debugLine="Cweb.Initialize";
_cweb._initialize(processBA);
RDebugUtils.currentLine=3866771;
 //BA.debugLineNum = 3866771;BA.debugLine="Cweb.URL=\"www.gogle.com\"'Kayit.Web_sites(i).Labe";
_cweb._seturl("www.gogle.com");
RDebugUtils.currentLine=3866772;
 //BA.debugLineNum = 3866772;BA.debugLine="Cweb.Label=\"\"'Kayit.Web_sites(i).Label";
_cweb._setlabel("");
RDebugUtils.currentLine=3866773;
 //BA.debugLineNum = 3866773;BA.debugLine="Cweb.Typ=\"\"'Kayit.Web_sites(i).Typ";
_cweb._settyp("");
RDebugUtils.currentLine=3866774;
 //BA.debugLineNum = 3866774;BA.debugLine="Citem.AddWebsite(Cweb)";
_citem._addwebsite(_cweb);
RDebugUtils.currentLine=3866777;
 //BA.debugLineNum = 3866777;BA.debugLine="Dim Cevent As ContactEvent";
_cevent = new b4a.example.contactevent();
RDebugUtils.currentLine=3866778;
 //BA.debugLineNum = 3866778;BA.debugLine="Cevent.Initialize";
_cevent._initialize(processBA);
RDebugUtils.currentLine=3866779;
 //BA.debugLineNum = 3866779;BA.debugLine="Cevent.StartDate=\"\"'Kayit.Events(i).StartDate";
_cevent._setstartdate("");
RDebugUtils.currentLine=3866780;
 //BA.debugLineNum = 3866780;BA.debugLine="Cevent.Label=\"\"'Kayit.Events(i).Label";
_cevent._setlabel("");
RDebugUtils.currentLine=3866781;
 //BA.debugLineNum = 3866781;BA.debugLine="Cevent.Typ=\"\"'Kayit.Events(i).Typ";
_cevent._settyp("");
RDebugUtils.currentLine=3866782;
 //BA.debugLineNum = 3866782;BA.debugLine="Citem.AddEvent(Cevent)";
_citem._addevent(_cevent);
RDebugUtils.currentLine=3866785;
 //BA.debugLineNum = 3866785;BA.debugLine="Dim thumbBitmap As Bitmap";
_thumbbitmap = new anywheresoftware.b4a.objects.drawable.CanvasWrapper.BitmapWrapper();
RDebugUtils.currentLine=3866787;
 //BA.debugLineNum = 3866787;BA.debugLine="thumbBitmap.Initialize(File.DirDefaultExternal,\"r1";
_thumbbitmap.Initialize(anywheresoftware.b4a.keywords.Common.File.getDirDefaultExternal(),"r1.png");
RDebugUtils.currentLine=3866788;
 //BA.debugLineNum = 3866788;BA.debugLine="If thumbBitmap.IsInitialized Then Log(\"ok intliza\"";
if (_thumbbitmap.IsInitialized()) { 
anywheresoftware.b4a.keywords.Common.Log("ok intliza");};
RDebugUtils.currentLine=3866789;
 //BA.debugLineNum = 3866789;BA.debugLine="Citem.ThumbnailPhoto  = thumbBitmap";
_citem._setthumbnailphoto(_thumbbitmap);
RDebugUtils.currentLine=3866790;
 //BA.debugLineNum = 3866790;BA.debugLine="Citem.Starred =True";
_citem._setstarred(anywheresoftware.b4a.keywords.Common.True);
RDebugUtils.currentLine=3866792;
 //BA.debugLineNum = 3866792;BA.debugLine="Citem.Note=\"Nottess\"";
_citem._setnote("Nottess");
 } 
       catch (Exception e485) {
			processBA.setLastException(e485); };
RDebugUtils.currentLine=3866798;
 //BA.debugLineNum = 3866798;BA.debugLine="End Sub";
return "";
}
public static int  _rehber_adet(b4a.example.contactbook _cbook,boolean _visbleonly) throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate("rehber_adet"))
	return (Integer) Debug.delegate(mostCurrent.activityBA, "rehber_adet", new Object[] {_cbook,_visbleonly});
RDebugUtils.currentLine=2818048;
 //BA.debugLineNum = 2818048;BA.debugLine="Sub Rehber_Adet(cbook As  ContactBook,VisbleOnly A";
RDebugUtils.currentLine=2818049;
 //BA.debugLineNum = 2818049;BA.debugLine="If cbook.IsInitialized Then";
if (_cbook.IsInitialized()) { 
RDebugUtils.currentLine=2818050;
 //BA.debugLineNum = 2818050;BA.debugLine="Return (cbook.GetAllContacts(VisbleOnly).Size)";
if (true) return (_cbook._getallcontacts(_visbleonly).getSize());
 }else {
RDebugUtils.currentLine=2818052;
 //BA.debugLineNum = 2818052;BA.debugLine="Return 0";
if (true) return (int) (0);
 };
RDebugUtils.currentLine=2818054;
 //BA.debugLineNum = 2818054;BA.debugLine="End Sub";
return 0;
}
public static boolean  _rehbere_kayit_yaz(b4a.example.contactbook _cbook,contact.backup.main._fullrehber _kayit,boolean _addpicture,String _directory) throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate("rehbere_kayit_yaz"))
	return (Boolean) Debug.delegate(mostCurrent.activityBA, "rehbere_kayit_yaz", new Object[] {_cbook,_kayit,_addpicture,_directory});
b4a.example.contactitem _citem = null;
anywheresoftware.b4a.objects.collections.List _foundcitems = null;
b4a.example.contactphonenumber _cpno = null;
int _i = 0;
b4a.example.contactstructuredname _csname = null;
b4a.example.contactaddress _cadress2 = null;
b4a.example.contactemailaddress _cemail = null;
b4a.example.contactim _cim = null;
b4a.example.contactrelation _crel = null;
b4a.example.contactorganization _corg = null;
b4a.example.contactnickname _cnn = null;
b4a.example.contactsipaddress _csip = null;
b4a.example.contactwebsite _cweb = null;
b4a.example.contactevent _cevent = null;
anywheresoftware.b4a.objects.drawable.CanvasWrapper.BitmapWrapper _xbmp = null;
RDebugUtils.currentLine=3080192;
 //BA.debugLineNum = 3080192;BA.debugLine="Sub Rehbere_Kayit_Yaz(cbook As  ContactBook,Kayit";
RDebugUtils.currentLine=3080194;
 //BA.debugLineNum = 3080194;BA.debugLine="Dim Citem As ContactItem";
_citem = new b4a.example.contactitem();
RDebugUtils.currentLine=3080196;
 //BA.debugLineNum = 3080196;BA.debugLine="Citem=cbook.AddContact (\".Demo.\"&Kayit.DisplayNam";
_citem = _cbook._addcontact(".Demo."+_kayit.DisplayName);
RDebugUtils.currentLine=3080197;
 //BA.debugLineNum = 3080197;BA.debugLine="Log(\".demo.\"&Kayit.DisplayName)";
anywheresoftware.b4a.keywords.Common.Log(".demo."+_kayit.DisplayName);
RDebugUtils.currentLine=3080199;
 //BA.debugLineNum = 3080199;BA.debugLine="Dim foundCItems As List";
_foundcitems = new anywheresoftware.b4a.objects.collections.List();
RDebugUtils.currentLine=3080200;
 //BA.debugLineNum = 3080200;BA.debugLine="foundCItems = cbook.GetContactsByName(\".Demo.\"&Ka";
_foundcitems = _cbook._getcontactsbyname(".Demo."+_kayit.DisplayName,anywheresoftware.b4a.keywords.Common.False,anywheresoftware.b4a.keywords.Common.True);
RDebugUtils.currentLine=3080201;
 //BA.debugLineNum = 3080201;BA.debugLine="If foundCItems.Size > 0 Then";
if (_foundcitems.getSize()>0) { 
 };
RDebugUtils.currentLine=3080206;
 //BA.debugLineNum = 3080206;BA.debugLine="Log(\"---start phone records---------\")";
anywheresoftware.b4a.keywords.Common.Log("---start phone records---------");
RDebugUtils.currentLine=3080208;
 //BA.debugLineNum = 3080208;BA.debugLine="Dim Cpno As ContactPhoneNumber";
_cpno = new b4a.example.contactphonenumber();
RDebugUtils.currentLine=3080209;
 //BA.debugLineNum = 3080209;BA.debugLine="For i=0 To Kayit.Phone_Numbers.Length-1";
{
final int step10 = 1;
final int limit10 = (int) (_kayit.Phone_Numbers.length-1);
for (_i = (int) (0) ; (step10 > 0 && _i <= limit10) || (step10 < 0 && _i >= limit10); _i = ((int)(0 + _i + step10)) ) {
RDebugUtils.currentLine=3080210;
 //BA.debugLineNum = 3080210;BA.debugLine="Cpno.Initialize";
_cpno._initialize(processBA);
RDebugUtils.currentLine=3080211;
 //BA.debugLineNum = 3080211;BA.debugLine="Cpno.Number=Kayit.Phone_Numbers(i).Number";
_cpno._setnumber(_kayit.Phone_Numbers[_i].Number);
RDebugUtils.currentLine=3080212;
 //BA.debugLineNum = 3080212;BA.debugLine="If  Kayit.Phone_Numbers(i).Typ.EqualsIgnoreCase(";
if (_kayit.Phone_Numbers[_i].Typ.equalsIgnoreCase("custom")) { 
RDebugUtils.currentLine=3080213;
 //BA.debugLineNum = 3080213;BA.debugLine="Cpno.Label=Kayit.Phone_Numbers(i).Label";
_cpno._setlabel(_kayit.Phone_Numbers[_i].Label);
RDebugUtils.currentLine=3080214;
 //BA.debugLineNum = 3080214;BA.debugLine="Cpno.Typ=Kayit.Phone_Numbers(i).Typ";
_cpno._settyp(_kayit.Phone_Numbers[_i].Typ);
 }else {
RDebugUtils.currentLine=3080216;
 //BA.debugLineNum = 3080216;BA.debugLine="Cpno.Typ=Kayit.Phone_Numbers(i).Typ";
_cpno._settyp(_kayit.Phone_Numbers[_i].Typ);
 };
RDebugUtils.currentLine=3080219;
 //BA.debugLineNum = 3080219;BA.debugLine="Citem.AddPhoneNumber(Cpno)";
_citem._addphonenumber(_cpno);
RDebugUtils.currentLine=3080220;
 //BA.debugLineNum = 3080220;BA.debugLine="Log(\"Number recorded\")";
anywheresoftware.b4a.keywords.Common.Log("Number recorded");
RDebugUtils.currentLine=3080221;
 //BA.debugLineNum = 3080221;BA.debugLine="If Kayit.Phone_Numbers(i).IsPrimary Then";
if (_kayit.Phone_Numbers[_i].IsPrimary) { 
RDebugUtils.currentLine=3080222;
 //BA.debugLineNum = 3080222;BA.debugLine="Citem.SetPrimaryPhoneNumber(Cpno)";
_citem._setprimaryphonenumber(_cpno);
 };
 }
};
RDebugUtils.currentLine=3080226;
 //BA.debugLineNum = 3080226;BA.debugLine="Log(\"1------end no record-------------\")";
anywheresoftware.b4a.keywords.Common.Log("1------end no record-------------");
RDebugUtils.currentLine=3080229;
 //BA.debugLineNum = 3080229;BA.debugLine="Dim Csname As ContactStructuredName";
_csname = new b4a.example.contactstructuredname();
RDebugUtils.currentLine=3080230;
 //BA.debugLineNum = 3080230;BA.debugLine="If Kayit.Structured_Name.IsInitialized Then";
if (_kayit.Structured_Name.IsInitialized) { 
RDebugUtils.currentLine=3080231;
 //BA.debugLineNum = 3080231;BA.debugLine="Csname.Initialize";
_csname._initialize(processBA);
RDebugUtils.currentLine=3080234;
 //BA.debugLineNum = 3080234;BA.debugLine="Csname.FullNameStyle = Kayit.Structured_Name.Ful";
_csname._setfullnamestyle(_kayit.Structured_Name.FullNameStyle);
RDebugUtils.currentLine=3080235;
 //BA.debugLineNum = 3080235;BA.debugLine="If Kayit.Structured_Name.GivenName<>\"\" Then Csna";
if ((_kayit.Structured_Name.GivenName).equals("") == false) { 
_csname._setgivenname(_demo+_kayit.Structured_Name.GivenName);};
RDebugUtils.currentLine=3080236;
 //BA.debugLineNum = 3080236;BA.debugLine="If Kayit.Structured_Name.MiddleName<>\"\" Then Csn";
if ((_kayit.Structured_Name.MiddleName).equals("") == false) { 
_csname._setmiddlename(_kayit.Structured_Name.MiddleName);};
RDebugUtils.currentLine=3080237;
 //BA.debugLineNum = 3080237;BA.debugLine="If Kayit.Structured_Name.FamilyName<>\"\" Then Csn";
if ((_kayit.Structured_Name.FamilyName).equals("") == false) { 
_csname._setfamilyname(_kayit.Structured_Name.FamilyName);};
RDebugUtils.currentLine=3080239;
 //BA.debugLineNum = 3080239;BA.debugLine="If Kayit.Structured_Name.PhoneticFamilyName<>\"\"";
if ((_kayit.Structured_Name.PhoneticFamilyName).equals("") == false) { 
_csname._setphoneticfamilyname(_kayit.Structured_Name.PhoneticFamilyName);};
RDebugUtils.currentLine=3080240;
 //BA.debugLineNum = 3080240;BA.debugLine="If Kayit.Structured_Name.PhoneticGivenName<>\"\" T";
if ((_kayit.Structured_Name.PhoneticGivenName).equals("") == false) { 
_csname._setphoneticgivenname(_kayit.Structured_Name.PhoneticGivenName);};
RDebugUtils.currentLine=3080241;
 //BA.debugLineNum = 3080241;BA.debugLine="If Kayit.Structured_Name.PhoneticMiddleName<>\"\"";
if ((_kayit.Structured_Name.PhoneticMiddleName).equals("") == false) { 
_csname._setphoneticmiddlename(_kayit.Structured_Name.PhoneticMiddleName);};
RDebugUtils.currentLine=3080243;
 //BA.debugLineNum = 3080243;BA.debugLine="If Kayit.Structured_Name.Prefix<>\"\" Then Csname.";
if ((_kayit.Structured_Name.Prefix).equals("") == false) { 
_csname._setprefix(_kayit.Structured_Name.Prefix);};
RDebugUtils.currentLine=3080244;
 //BA.debugLineNum = 3080244;BA.debugLine="If Kayit.Structured_Name.Suffix<>\"\" Then Csname.";
if ((_kayit.Structured_Name.Suffix).equals("") == false) { 
_csname._setsuffix(_kayit.Structured_Name.Suffix);};
 };
RDebugUtils.currentLine=3080247;
 //BA.debugLineNum = 3080247;BA.debugLine="Citem.StructuredName=Csname";
_citem._setstructuredname(_csname);
RDebugUtils.currentLine=3080249;
 //BA.debugLineNum = 3080249;BA.debugLine="Log(\"2\")";
anywheresoftware.b4a.keywords.Common.Log("2");
RDebugUtils.currentLine=3080253;
 //BA.debugLineNum = 3080253;BA.debugLine="Dim Cadress2 As ContactAddress";
_cadress2 = new b4a.example.contactaddress();
RDebugUtils.currentLine=3080254;
 //BA.debugLineNum = 3080254;BA.debugLine="For i=0 To Kayit.Local_Addresses.Length-1";
{
final int step42 = 1;
final int limit42 = (int) (_kayit.Local_Addresses.length-1);
for (_i = (int) (0) ; (step42 > 0 && _i <= limit42) || (step42 < 0 && _i >= limit42); _i = ((int)(0 + _i + step42)) ) {
RDebugUtils.currentLine=3080255;
 //BA.debugLineNum = 3080255;BA.debugLine="Cadress2.Initialize";
_cadress2._initialize(processBA);
RDebugUtils.currentLine=3080256;
 //BA.debugLineNum = 3080256;BA.debugLine="Cadress2.City=Kayit.Local_Addresses(i).City";
_cadress2._setcity(_kayit.Local_Addresses[_i].City);
RDebugUtils.currentLine=3080257;
 //BA.debugLineNum = 3080257;BA.debugLine="Cadress2.Country=Kayit.Local_Addresses(i).Countr";
_cadress2._setcountry(_kayit.Local_Addresses[_i].Country);
RDebugUtils.currentLine=3080258;
 //BA.debugLineNum = 3080258;BA.debugLine="Cadress2.Formatted=Kayit.Local_Addresses(i).Form";
_cadress2._setformatted(_kayit.Local_Addresses[_i].Formatted);
RDebugUtils.currentLine=3080259;
 //BA.debugLineNum = 3080259;BA.debugLine="Cadress2.Neighborhood=Kayit.Local_Addresses(i).N";
_cadress2._setneighborhood(_kayit.Local_Addresses[_i].Neighborhood);
RDebugUtils.currentLine=3080260;
 //BA.debugLineNum = 3080260;BA.debugLine="Cadress2.POBox=Kayit.Local_Addresses(i).Pobox";
_cadress2._setpobox(_kayit.Local_Addresses[_i].Pobox);
RDebugUtils.currentLine=3080261;
 //BA.debugLineNum = 3080261;BA.debugLine="Cadress2.Postcode=Kayit.Local_Addresses(i).Postc";
_cadress2._setpostcode(_kayit.Local_Addresses[_i].Postcode);
RDebugUtils.currentLine=3080262;
 //BA.debugLineNum = 3080262;BA.debugLine="Cadress2.Region=Kayit.Local_Addresses(i).Region";
_cadress2._setregion(_kayit.Local_Addresses[_i].Region);
RDebugUtils.currentLine=3080263;
 //BA.debugLineNum = 3080263;BA.debugLine="Cadress2.Street=Kayit.Local_Addresses(i).Street";
_cadress2._setstreet(_kayit.Local_Addresses[_i].Street);
RDebugUtils.currentLine=3080264;
 //BA.debugLineNum = 3080264;BA.debugLine="If Kayit.Local_Addresses(i).Typ.EqualsIgnoreCase";
if (_kayit.Local_Addresses[_i].Typ.equalsIgnoreCase("custom")) { 
RDebugUtils.currentLine=3080265;
 //BA.debugLineNum = 3080265;BA.debugLine="Cadress2.Label=Kayit.Local_Addresses(i).Label";
_cadress2._setlabel(_kayit.Local_Addresses[_i].Label);
RDebugUtils.currentLine=3080266;
 //BA.debugLineNum = 3080266;BA.debugLine="Cadress2.Typ =Kayit.Local_Addresses(i).Typ";
_cadress2._settyp(_kayit.Local_Addresses[_i].Typ);
 }else {
RDebugUtils.currentLine=3080268;
 //BA.debugLineNum = 3080268;BA.debugLine="Cadress2.Typ =Kayit.Local_Addresses(i).Typ";
_cadress2._settyp(_kayit.Local_Addresses[_i].Typ);
 };
RDebugUtils.currentLine=3080271;
 //BA.debugLineNum = 3080271;BA.debugLine="Citem.AddAddress(Cadress2)";
_citem._addaddress(_cadress2);
 }
};
RDebugUtils.currentLine=3080273;
 //BA.debugLineNum = 3080273;BA.debugLine="Log(\"3\")";
anywheresoftware.b4a.keywords.Common.Log("3");
RDebugUtils.currentLine=3080278;
 //BA.debugLineNum = 3080278;BA.debugLine="Dim Cemail As ContactEmailAddress";
_cemail = new b4a.example.contactemailaddress();
RDebugUtils.currentLine=3080279;
 //BA.debugLineNum = 3080279;BA.debugLine="For i=0 To Kayit.Email_Addresses.Length-1";
{
final int step62 = 1;
final int limit62 = (int) (_kayit.Email_Addresses.length-1);
for (_i = (int) (0) ; (step62 > 0 && _i <= limit62) || (step62 < 0 && _i >= limit62); _i = ((int)(0 + _i + step62)) ) {
RDebugUtils.currentLine=3080280;
 //BA.debugLineNum = 3080280;BA.debugLine="Cemail.Initialize";
_cemail._initialize(processBA);
RDebugUtils.currentLine=3080281;
 //BA.debugLineNum = 3080281;BA.debugLine="Cemail.Address =Kayit.Email_Addresses(i).E_Mail_";
_cemail._setaddress(_kayit.Email_Addresses[_i].E_Mail_Address);
RDebugUtils.currentLine=3080285;
 //BA.debugLineNum = 3080285;BA.debugLine="If Kayit.Email_Addresses(i).Typ.EqualsIgnoreCase";
if (_kayit.Email_Addresses[_i].Typ.equalsIgnoreCase("custom")) { 
RDebugUtils.currentLine=3080286;
 //BA.debugLineNum = 3080286;BA.debugLine="Cemail.Label=Kayit.Email_Addresses(i).Label";
_cemail._setlabel(_kayit.Email_Addresses[_i].Label);
RDebugUtils.currentLine=3080287;
 //BA.debugLineNum = 3080287;BA.debugLine="Cemail.Typ=Kayit.Email_Addresses(i).Typ";
_cemail._settyp(_kayit.Email_Addresses[_i].Typ);
 }else {
RDebugUtils.currentLine=3080289;
 //BA.debugLineNum = 3080289;BA.debugLine="Cemail.Typ=Kayit.Email_Addresses(i).Typ";
_cemail._settyp(_kayit.Email_Addresses[_i].Typ);
 };
RDebugUtils.currentLine=3080292;
 //BA.debugLineNum = 3080292;BA.debugLine="Citem.AddEmailAddress(Cemail)";
_citem._addemailaddress(_cemail);
RDebugUtils.currentLine=3080293;
 //BA.debugLineNum = 3080293;BA.debugLine="If Kayit.Email_Addresses(i).IsPrimary Then";
if (_kayit.Email_Addresses[_i].IsPrimary) { 
RDebugUtils.currentLine=3080294;
 //BA.debugLineNum = 3080294;BA.debugLine="Citem.SetPrimaryEmailAddress(Cemail)";
_citem._setprimaryemailaddress(_cemail);
 };
 }
};
RDebugUtils.currentLine=3080299;
 //BA.debugLineNum = 3080299;BA.debugLine="Log(\"4\")";
anywheresoftware.b4a.keywords.Common.Log("4");
RDebugUtils.currentLine=3080303;
 //BA.debugLineNum = 3080303;BA.debugLine="Dim Cim As ContactIM";
_cim = new b4a.example.contactim();
RDebugUtils.currentLine=3080304;
 //BA.debugLineNum = 3080304;BA.debugLine="For i=0 To Kayit.Co_IMs.Length-1";
{
final int step78 = 1;
final int limit78 = (int) (_kayit.Co_IMs.length-1);
for (_i = (int) (0) ; (step78 > 0 && _i <= limit78) || (step78 < 0 && _i >= limit78); _i = ((int)(0 + _i + step78)) ) {
RDebugUtils.currentLine=3080305;
 //BA.debugLineNum = 3080305;BA.debugLine="Cim.Initialize";
_cim._initialize(processBA);
RDebugUtils.currentLine=3080306;
 //BA.debugLineNum = 3080306;BA.debugLine="Cim.Data=Kayit.Co_IMs(i).Data";
_cim._setdata(_kayit.Co_IMs[_i].Data);
RDebugUtils.currentLine=3080307;
 //BA.debugLineNum = 3080307;BA.debugLine="Cim.CustomProtocol =Kayit.Co_IMs(i).CustomProtoc";
_cim._setcustomprotocol(_kayit.Co_IMs[_i].CustomProtocol);
RDebugUtils.currentLine=3080308;
 //BA.debugLineNum = 3080308;BA.debugLine="If Kayit.Co_IMs(i).Typ.EqualsIgnoreCase(\"custom\"";
if (_kayit.Co_IMs[_i].Typ.equalsIgnoreCase("custom")) { 
RDebugUtils.currentLine=3080309;
 //BA.debugLineNum = 3080309;BA.debugLine="Cim.Label=Kayit.Co_IMs(i).Label";
_cim._setlabel(_kayit.Co_IMs[_i].Label);
RDebugUtils.currentLine=3080310;
 //BA.debugLineNum = 3080310;BA.debugLine="Cim.Typ=Kayit.Co_IMs(i).Typ";
_cim._settyp(_kayit.Co_IMs[_i].Typ);
 }else {
RDebugUtils.currentLine=3080312;
 //BA.debugLineNum = 3080312;BA.debugLine="Cim.Typ=Kayit.Co_IMs(i).Typ";
_cim._settyp(_kayit.Co_IMs[_i].Typ);
 };
RDebugUtils.currentLine=3080315;
 //BA.debugLineNum = 3080315;BA.debugLine="Citem.AddIM(Cim)";
_citem._addim(_cim);
 }
};
RDebugUtils.currentLine=3080318;
 //BA.debugLineNum = 3080318;BA.debugLine="Log(\"5\")";
anywheresoftware.b4a.keywords.Common.Log("5");
RDebugUtils.currentLine=3080322;
 //BA.debugLineNum = 3080322;BA.debugLine="Dim Crel As ContactRelation";
_crel = new b4a.example.contactrelation();
RDebugUtils.currentLine=3080323;
 //BA.debugLineNum = 3080323;BA.debugLine="For i=0 To Kayit.Co_Relations.Length-1";
{
final int step92 = 1;
final int limit92 = (int) (_kayit.Co_Relations.length-1);
for (_i = (int) (0) ; (step92 > 0 && _i <= limit92) || (step92 < 0 && _i >= limit92); _i = ((int)(0 + _i + step92)) ) {
RDebugUtils.currentLine=3080324;
 //BA.debugLineNum = 3080324;BA.debugLine="Crel.Initialize";
_crel._initialize(processBA);
RDebugUtils.currentLine=3080325;
 //BA.debugLineNum = 3080325;BA.debugLine="Crel.Name=Kayit.Co_Relations(i).Name";
_crel._setname(_kayit.Co_Relations[_i].Name);
RDebugUtils.currentLine=3080326;
 //BA.debugLineNum = 3080326;BA.debugLine="If Kayit.Co_Relations(i).Typ.EqualsIgnoreCase(\"c";
if (_kayit.Co_Relations[_i].Typ.equalsIgnoreCase("custom")) { 
RDebugUtils.currentLine=3080327;
 //BA.debugLineNum = 3080327;BA.debugLine="Crel.Label=Kayit.Co_Relations(i).Label";
_crel._setlabel(_kayit.Co_Relations[_i].Label);
RDebugUtils.currentLine=3080328;
 //BA.debugLineNum = 3080328;BA.debugLine="Crel.Typ=Kayit.Co_Relations(i).Typ";
_crel._settyp(_kayit.Co_Relations[_i].Typ);
 }else {
RDebugUtils.currentLine=3080330;
 //BA.debugLineNum = 3080330;BA.debugLine="Crel.Typ=Kayit.Co_Relations(i).Typ";
_crel._settyp(_kayit.Co_Relations[_i].Typ);
 };
RDebugUtils.currentLine=3080333;
 //BA.debugLineNum = 3080333;BA.debugLine="Citem.AddRelation(Crel)";
_citem._addrelation(_crel);
 }
};
RDebugUtils.currentLine=3080336;
 //BA.debugLineNum = 3080336;BA.debugLine="Log(\"6\")";
anywheresoftware.b4a.keywords.Common.Log("6");
RDebugUtils.currentLine=3080340;
 //BA.debugLineNum = 3080340;BA.debugLine="Dim Corg As ContactOrganization";
_corg = new b4a.example.contactorganization();
RDebugUtils.currentLine=3080341;
 //BA.debugLineNum = 3080341;BA.debugLine="For i=0 To Kayit.Contac_Organizations.Length-1";
{
final int step105 = 1;
final int limit105 = (int) (_kayit.Contac_Organizations.length-1);
for (_i = (int) (0) ; (step105 > 0 && _i <= limit105) || (step105 < 0 && _i >= limit105); _i = ((int)(0 + _i + step105)) ) {
RDebugUtils.currentLine=3080342;
 //BA.debugLineNum = 3080342;BA.debugLine="Corg.Initialize";
_corg._initialize(processBA);
RDebugUtils.currentLine=3080343;
 //BA.debugLineNum = 3080343;BA.debugLine="If Kayit.Contac_Organizations(i).Typ.EqualsIgnor";
if (_kayit.Contac_Organizations[_i].Typ.equalsIgnoreCase("custom")) { 
RDebugUtils.currentLine=3080344;
 //BA.debugLineNum = 3080344;BA.debugLine="Corg.Label=Kayit.Contac_Organizations(i).Label";
_corg._setlabel(_kayit.Contac_Organizations[_i].Label);
RDebugUtils.currentLine=3080345;
 //BA.debugLineNum = 3080345;BA.debugLine="Corg.Typ=Kayit.Contac_Organizations(i).Typ";
_corg._settyp(_kayit.Contac_Organizations[_i].Typ);
 }else {
RDebugUtils.currentLine=3080347;
 //BA.debugLineNum = 3080347;BA.debugLine="Corg.Typ=Kayit.Contac_Organizations(i).Typ";
_corg._settyp(_kayit.Contac_Organizations[_i].Typ);
 };
RDebugUtils.currentLine=3080349;
 //BA.debugLineNum = 3080349;BA.debugLine="Corg.Company=Kayit.Contac_Organizations(i).Compa";
_corg._setcompany(_kayit.Contac_Organizations[_i].Company);
RDebugUtils.currentLine=3080350;
 //BA.debugLineNum = 3080350;BA.debugLine="Corg.Department=Kayit.Contac_Organizations(i).De";
_corg._setdepartment(_kayit.Contac_Organizations[_i].Department);
RDebugUtils.currentLine=3080351;
 //BA.debugLineNum = 3080351;BA.debugLine="Corg.JobDescription=Kayit.Contac_Organizations(i";
_corg._setjobdescription(_kayit.Contac_Organizations[_i].JobDescription);
RDebugUtils.currentLine=3080352;
 //BA.debugLineNum = 3080352;BA.debugLine="Corg.OfficeLocation=Kayit.Contac_Organizations(i";
_corg._setofficelocation(_kayit.Contac_Organizations[_i].OfficeLocation);
RDebugUtils.currentLine=3080353;
 //BA.debugLineNum = 3080353;BA.debugLine="Corg.PhoneticName=Kayit.Contac_Organizations(i).";
_corg._setphoneticname(_kayit.Contac_Organizations[_i].PhoneticName);
RDebugUtils.currentLine=3080354;
 //BA.debugLineNum = 3080354;BA.debugLine="Corg.PhoneticNameStyle=Kayit.Contac_Organization";
_corg._setphoneticnamestyle(_kayit.Contac_Organizations[_i].PhoneticNameStyle);
RDebugUtils.currentLine=3080355;
 //BA.debugLineNum = 3080355;BA.debugLine="Corg.Symbol=Kayit.Contac_Organizations(i).Symbol";
_corg._setsymbol(_kayit.Contac_Organizations[_i].Symbol);
RDebugUtils.currentLine=3080356;
 //BA.debugLineNum = 3080356;BA.debugLine="Corg.Title=Kayit.Contac_Organizations(i).Title";
_corg._settitle(_kayit.Contac_Organizations[_i].Title);
RDebugUtils.currentLine=3080358;
 //BA.debugLineNum = 3080358;BA.debugLine="Citem.AddOrganization(Corg)";
_citem._addorganization(_corg);
 }
};
RDebugUtils.currentLine=3080361;
 //BA.debugLineNum = 3080361;BA.debugLine="Log(\"7\")";
anywheresoftware.b4a.keywords.Common.Log("7");
RDebugUtils.currentLine=3080365;
 //BA.debugLineNum = 3080365;BA.debugLine="Dim Cnn As ContactNickname";
_cnn = new b4a.example.contactnickname();
RDebugUtils.currentLine=3080366;
 //BA.debugLineNum = 3080366;BA.debugLine="For i=0 To Kayit.Nick_Names.Length-1";
{
final int step125 = 1;
final int limit125 = (int) (_kayit.Nick_Names.length-1);
for (_i = (int) (0) ; (step125 > 0 && _i <= limit125) || (step125 < 0 && _i >= limit125); _i = ((int)(0 + _i + step125)) ) {
RDebugUtils.currentLine=3080367;
 //BA.debugLineNum = 3080367;BA.debugLine="Cnn.Initialize";
_cnn._initialize(processBA);
RDebugUtils.currentLine=3080368;
 //BA.debugLineNum = 3080368;BA.debugLine="Cnn.Name=Kayit.Nick_Names(i).Name&\"-\"";
_cnn._setname(_kayit.Nick_Names[_i].Name+"-");
RDebugUtils.currentLine=3080369;
 //BA.debugLineNum = 3080369;BA.debugLine="Cnn.Typ=ContactStatics.NicknameTypes.Get(1)";
_cnn._settyp(BA.ObjectToString(mostCurrent._contactstatics._nicknametypes(mostCurrent.activityBA).Get((Object)(1))));
RDebugUtils.currentLine=3080370;
 //BA.debugLineNum = 3080370;BA.debugLine="If Kayit.Nick_Names(i).Typ.EqualsIgnoreCase(\"cus";
if (_kayit.Nick_Names[_i].Typ.equalsIgnoreCase("custom")) { 
RDebugUtils.currentLine=3080372;
 //BA.debugLineNum = 3080372;BA.debugLine="Cnn.Label=Kayit.Nick_Names(i).Label";
_cnn._setlabel(_kayit.Nick_Names[_i].Label);
RDebugUtils.currentLine=3080373;
 //BA.debugLineNum = 3080373;BA.debugLine="Cnn.Typ=Kayit.Nick_Names(i).Typ";
_cnn._settyp(_kayit.Nick_Names[_i].Typ);
 }else {
RDebugUtils.currentLine=3080376;
 //BA.debugLineNum = 3080376;BA.debugLine="If Kayit.Nick_Names(i).Typ<>\"null\" Then";
if ((_kayit.Nick_Names[_i].Typ).equals("null") == false) { 
RDebugUtils.currentLine=3080377;
 //BA.debugLineNum = 3080377;BA.debugLine="Cnn.Typ=Kayit.Nick_Names(i).Typ";
_cnn._settyp(_kayit.Nick_Names[_i].Typ);
 };
 };
RDebugUtils.currentLine=3080381;
 //BA.debugLineNum = 3080381;BA.debugLine="Log(Cnn.Typ)";
anywheresoftware.b4a.keywords.Common.Log(_cnn._gettyp());
RDebugUtils.currentLine=3080382;
 //BA.debugLineNum = 3080382;BA.debugLine="Log(Cnn.Label)";
anywheresoftware.b4a.keywords.Common.Log(_cnn._getlabel());
RDebugUtils.currentLine=3080383;
 //BA.debugLineNum = 3080383;BA.debugLine="Log(ContactStatics.NicknameTypes)";
anywheresoftware.b4a.keywords.Common.Log(BA.ObjectToString(mostCurrent._contactstatics._nicknametypes(mostCurrent.activityBA)));
RDebugUtils.currentLine=3080384;
 //BA.debugLineNum = 3080384;BA.debugLine="Citem.AddNickname(Cnn)";
_citem._addnickname(_cnn);
 }
};
RDebugUtils.currentLine=3080387;
 //BA.debugLineNum = 3080387;BA.debugLine="Log(\"8\")";
anywheresoftware.b4a.keywords.Common.Log("8");
RDebugUtils.currentLine=3080393;
 //BA.debugLineNum = 3080393;BA.debugLine="Dim Csip As ContactSipAddress";
_csip = new b4a.example.contactsipaddress();
RDebugUtils.currentLine=3080394;
 //BA.debugLineNum = 3080394;BA.debugLine="For i=0 To Kayit.Sip_Addresses.Length-1";
{
final int step144 = 1;
final int limit144 = (int) (_kayit.Sip_Addresses.length-1);
for (_i = (int) (0) ; (step144 > 0 && _i <= limit144) || (step144 < 0 && _i >= limit144); _i = ((int)(0 + _i + step144)) ) {
RDebugUtils.currentLine=3080395;
 //BA.debugLineNum = 3080395;BA.debugLine="Csip.Initialize";
_csip._initialize(processBA);
RDebugUtils.currentLine=3080396;
 //BA.debugLineNum = 3080396;BA.debugLine="Csip.SipAddress=Kayit.Sip_Addresses(i).SipAddres";
_csip._setsipaddress(_kayit.Sip_Addresses[_i].SipAddress);
RDebugUtils.currentLine=3080397;
 //BA.debugLineNum = 3080397;BA.debugLine="If 	Kayit.Sip_Addresses(i).Typ.EqualsIgnoreCase(";
if (_kayit.Sip_Addresses[_i].Typ.equalsIgnoreCase("custom")) { 
RDebugUtils.currentLine=3080398;
 //BA.debugLineNum = 3080398;BA.debugLine="Csip.Label=Kayit.Sip_Addresses(i).Label";
_csip._setlabel(_kayit.Sip_Addresses[_i].Label);
RDebugUtils.currentLine=3080399;
 //BA.debugLineNum = 3080399;BA.debugLine="Csip.Typ=Kayit.Sip_Addresses(i).Typ";
_csip._settyp(_kayit.Sip_Addresses[_i].Typ);
 }else {
RDebugUtils.currentLine=3080401;
 //BA.debugLineNum = 3080401;BA.debugLine="Csip.Typ=Kayit.Sip_Addresses(i).Typ";
_csip._settyp(_kayit.Sip_Addresses[_i].Typ);
 };
RDebugUtils.currentLine=3080403;
 //BA.debugLineNum = 3080403;BA.debugLine="Citem.AddSipAddress(Csip)";
_citem._addsipaddress(_csip);
 }
};
RDebugUtils.currentLine=3080406;
 //BA.debugLineNum = 3080406;BA.debugLine="Log(\"9\")";
anywheresoftware.b4a.keywords.Common.Log("9");
RDebugUtils.currentLine=3080411;
 //BA.debugLineNum = 3080411;BA.debugLine="Dim Cweb As ContactWebsite";
_cweb = new b4a.example.contactwebsite();
RDebugUtils.currentLine=3080412;
 //BA.debugLineNum = 3080412;BA.debugLine="For i=0 To Kayit.Web_sites.Length-1";
{
final int step157 = 1;
final int limit157 = (int) (_kayit.Web_sites.length-1);
for (_i = (int) (0) ; (step157 > 0 && _i <= limit157) || (step157 < 0 && _i >= limit157); _i = ((int)(0 + _i + step157)) ) {
RDebugUtils.currentLine=3080413;
 //BA.debugLineNum = 3080413;BA.debugLine="Cweb.Initialize";
_cweb._initialize(processBA);
RDebugUtils.currentLine=3080414;
 //BA.debugLineNum = 3080414;BA.debugLine="Cweb.URL=Kayit.Web_sites(i).Label";
_cweb._seturl(_kayit.Web_sites[_i].Label);
RDebugUtils.currentLine=3080415;
 //BA.debugLineNum = 3080415;BA.debugLine="If Kayit.Web_sites(i).Typ.EqualsIgnoreCase(\"cust";
if (_kayit.Web_sites[_i].Typ.equalsIgnoreCase("custom")) { 
RDebugUtils.currentLine=3080416;
 //BA.debugLineNum = 3080416;BA.debugLine="Cweb.Label=Kayit.Web_sites(i).Label";
_cweb._setlabel(_kayit.Web_sites[_i].Label);
RDebugUtils.currentLine=3080417;
 //BA.debugLineNum = 3080417;BA.debugLine="Cweb.Typ=Kayit.Web_sites(i).Typ";
_cweb._settyp(_kayit.Web_sites[_i].Typ);
 }else {
RDebugUtils.currentLine=3080419;
 //BA.debugLineNum = 3080419;BA.debugLine="Cweb.Typ=Kayit.Web_sites(i).Typ";
_cweb._settyp(_kayit.Web_sites[_i].Typ);
 };
RDebugUtils.currentLine=3080422;
 //BA.debugLineNum = 3080422;BA.debugLine="Citem.AddWebsite(Cweb)";
_citem._addwebsite(_cweb);
 }
};
RDebugUtils.currentLine=3080424;
 //BA.debugLineNum = 3080424;BA.debugLine="Log(\"10\")";
anywheresoftware.b4a.keywords.Common.Log("10");
RDebugUtils.currentLine=3080427;
 //BA.debugLineNum = 3080427;BA.debugLine="Dim Cevent As ContactEvent";
_cevent = new b4a.example.contactevent();
RDebugUtils.currentLine=3080428;
 //BA.debugLineNum = 3080428;BA.debugLine="For i=0 To Kayit.Events.Length-1";
{
final int step170 = 1;
final int limit170 = (int) (_kayit.Events.length-1);
for (_i = (int) (0) ; (step170 > 0 && _i <= limit170) || (step170 < 0 && _i >= limit170); _i = ((int)(0 + _i + step170)) ) {
RDebugUtils.currentLine=3080429;
 //BA.debugLineNum = 3080429;BA.debugLine="Cevent.Initialize";
_cevent._initialize(processBA);
RDebugUtils.currentLine=3080430;
 //BA.debugLineNum = 3080430;BA.debugLine="Cevent.StartDate=Kayit.Events(i).StartDate";
_cevent._setstartdate(_kayit.Events[_i].StartDate);
RDebugUtils.currentLine=3080431;
 //BA.debugLineNum = 3080431;BA.debugLine="If Kayit.Events(i).Typ.EqualsIgnoreCase(\"custom\"";
if (_kayit.Events[_i].Typ.equalsIgnoreCase("custom")) { 
RDebugUtils.currentLine=3080432;
 //BA.debugLineNum = 3080432;BA.debugLine="Cevent.Label=Kayit.Events(i).Label";
_cevent._setlabel(_kayit.Events[_i].Label);
RDebugUtils.currentLine=3080433;
 //BA.debugLineNum = 3080433;BA.debugLine="Cevent.Typ=Kayit.Events(i).Typ";
_cevent._settyp(_kayit.Events[_i].Typ);
 }else {
RDebugUtils.currentLine=3080435;
 //BA.debugLineNum = 3080435;BA.debugLine="Cevent.Typ=Kayit.Events(i).Typ";
_cevent._settyp(_kayit.Events[_i].Typ);
 };
RDebugUtils.currentLine=3080438;
 //BA.debugLineNum = 3080438;BA.debugLine="Citem.AddEvent(Cevent)";
_citem._addevent(_cevent);
 }
};
RDebugUtils.currentLine=3080440;
 //BA.debugLineNum = 3080440;BA.debugLine="Log(\"11\")";
anywheresoftware.b4a.keywords.Common.Log("11");
RDebugUtils.currentLine=3080442;
 //BA.debugLineNum = 3080442;BA.debugLine="If AddPicture Then";
if (_addpicture) { 
RDebugUtils.currentLine=3080444;
 //BA.debugLineNum = 3080444;BA.debugLine="Log(\"resim\")";
anywheresoftware.b4a.keywords.Common.Log("resim");
RDebugUtils.currentLine=3080445;
 //BA.debugLineNum = 3080445;BA.debugLine="Dim xbmp As Bitmap";
_xbmp = new anywheresoftware.b4a.objects.drawable.CanvasWrapper.BitmapWrapper();
RDebugUtils.currentLine=3080446;
 //BA.debugLineNum = 3080446;BA.debugLine="If Kayit.FullState Then";
if (_kayit.FullState) { 
RDebugUtils.currentLine=3080449;
 //BA.debugLineNum = 3080449;BA.debugLine="If File.Exists(Directory,Kayit.FullPhoto&\".PNG\")";
if (anywheresoftware.b4a.keywords.Common.File.Exists(_directory,_kayit.FullPhoto+".PNG")) { 
RDebugUtils.currentLine=3080450;
 //BA.debugLineNum = 3080450;BA.debugLine="xbmp.Initialize(Directory,Kayit.FullPhoto&\".PN";
_xbmp.Initialize(_directory,_kayit.FullPhoto+".PNG");
RDebugUtils.currentLine=3080452;
 //BA.debugLineNum = 3080452;BA.debugLine="Citem.ThumbnailPhoto=xbmp";
_citem._setthumbnailphoto(_xbmp);
 };
RDebugUtils.currentLine=3080454;
 //BA.debugLineNum = 3080454;BA.debugLine="If File.Exists(Directory,Kayit.FullPhoto&\".GNP\")";
if (anywheresoftware.b4a.keywords.Common.File.Exists(_directory,_kayit.FullPhoto+".GNP")) { 
RDebugUtils.currentLine=3080455;
 //BA.debugLineNum = 3080455;BA.debugLine="xbmp.Initialize(Directory,Kayit.FullPhoto&\".GN";
_xbmp.Initialize(_directory,_kayit.FullPhoto+".GNP");
RDebugUtils.currentLine=3080457;
 //BA.debugLineNum = 3080457;BA.debugLine="Citem.ThumbnailPhoto=xbmp";
_citem._setthumbnailphoto(_xbmp);
 };
 };
RDebugUtils.currentLine=3080463;
 //BA.debugLineNum = 3080463;BA.debugLine="If   Kayit.ThumbnailState Then";
if (_kayit.ThumbnailState) { 
RDebugUtils.currentLine=3080465;
 //BA.debugLineNum = 3080465;BA.debugLine="If File.Exists(Directory,Kayit.ThumbnailPhoto&\".";
if (anywheresoftware.b4a.keywords.Common.File.Exists(_directory,_kayit.ThumbnailPhoto+".PNG")) { 
RDebugUtils.currentLine=3080466;
 //BA.debugLineNum = 3080466;BA.debugLine="xbmp.Initialize(Directory,Kayit.ThumbnailPhoto&";
_xbmp.Initialize(_directory,_kayit.ThumbnailPhoto+".GNP");
RDebugUtils.currentLine=3080468;
 //BA.debugLineNum = 3080468;BA.debugLine="Citem.ThumbnailPhoto=xbmp";
_citem._setthumbnailphoto(_xbmp);
 };
RDebugUtils.currentLine=3080470;
 //BA.debugLineNum = 3080470;BA.debugLine="If File.Exists(Directory,Kayit.ThumbnailPhoto&\".";
if (anywheresoftware.b4a.keywords.Common.File.Exists(_directory,_kayit.ThumbnailPhoto+".GNP")) { 
RDebugUtils.currentLine=3080471;
 //BA.debugLineNum = 3080471;BA.debugLine="xbmp.Initialize(Directory,Kayit.ThumbnailPhoto";
_xbmp.Initialize(_directory,_kayit.ThumbnailPhoto+".GNP");
RDebugUtils.currentLine=3080473;
 //BA.debugLineNum = 3080473;BA.debugLine="Citem.ThumbnailPhoto=xbmp";
_citem._setthumbnailphoto(_xbmp);
 };
 };
 };
RDebugUtils.currentLine=3080479;
 //BA.debugLineNum = 3080479;BA.debugLine="Log(\"12\")";
anywheresoftware.b4a.keywords.Common.Log("12");
RDebugUtils.currentLine=3080480;
 //BA.debugLineNum = 3080480;BA.debugLine="Citem.Starred =Kayit.Starred";
_citem._setstarred(_kayit.Starred);
RDebugUtils.currentLine=3080481;
 //BA.debugLineNum = 3080481;BA.debugLine="Log(\"13\")";
anywheresoftware.b4a.keywords.Common.Log("13");
RDebugUtils.currentLine=3080482;
 //BA.debugLineNum = 3080482;BA.debugLine="If Kayit.Note.Trim=\"\" Or Kayit.Note.Trim=\"null\" T";
if ((_kayit.Note.trim()).equals("") || (_kayit.Note.trim()).equals("null")) { 
 }else {
RDebugUtils.currentLine=3080485;
 //BA.debugLineNum = 3080485;BA.debugLine="Citem.Note=Kayit.Note";
_citem._setnote(_kayit.Note);
 };
RDebugUtils.currentLine=3080489;
 //BA.debugLineNum = 3080489;BA.debugLine="Log(\"14*** ---------\")";
anywheresoftware.b4a.keywords.Common.Log("14*** ---------");
RDebugUtils.currentLine=3080490;
 //BA.debugLineNum = 3080490;BA.debugLine="Return True";
if (true) return anywheresoftware.b4a.keywords.Common.True;
RDebugUtils.currentLine=3080492;
 //BA.debugLineNum = 3080492;BA.debugLine="End Sub";
return false;
}
public static String  _sayac_tick() throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate("sayac_tick"))
	return (String) Debug.delegate(mostCurrent.activityBA, "sayac_tick", null);
RDebugUtils.currentLine=2555904;
 //BA.debugLineNum = 2555904;BA.debugLine="Sub sayac_Tick";
RDebugUtils.currentLine=2555905;
 //BA.debugLineNum = 2555905;BA.debugLine="btn_1.Tag=btn_1.Tag+1";
mostCurrent._btn_1.setTag((Object)((double)(BA.ObjectToNumber(mostCurrent._btn_1.getTag()))+1));
RDebugUtils.currentLine=2555906;
 //BA.debugLineNum = 2555906;BA.debugLine="Log(btn_1.Tag&\". Record addded\")";
anywheresoftware.b4a.keywords.Common.Log(BA.ObjectToString(mostCurrent._btn_1.getTag())+". Record addded");
RDebugUtils.currentLine=2555910;
 //BA.debugLineNum = 2555910;BA.debugLine="End Sub";
return "";
}
public static String  _yedeklendi() throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate("yedeklendi"))
	return (String) Debug.delegate(mostCurrent.activityBA, "yedeklendi", null);
RDebugUtils.currentLine=720896;
 //BA.debugLineNum = 720896;BA.debugLine="Sub Yedeklendi";
RDebugUtils.currentLine=720898;
 //BA.debugLineNum = 720898;BA.debugLine="Msgbox2(\"Your phone's backup file is ready.\",\"Act";
anywheresoftware.b4a.keywords.Common.Msgbox2("Your phone's backup file is ready.","Action completed","OK","","",(android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.Null),mostCurrent.activityBA);
RDebugUtils.currentLine=720900;
 //BA.debugLineNum = 720900;BA.debugLine="Panel_backup_1.Left=0-Panel_backup_1.Width";
mostCurrent._panel_backup_1.setLeft((int) (0-mostCurrent._panel_backup_1.getWidth()));
RDebugUtils.currentLine=720901;
 //BA.debugLineNum = 720901;BA.debugLine="Panel_backup_1.Top=100%y";
mostCurrent._panel_backup_1.setTop(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (100),mostCurrent.activityBA));
RDebugUtils.currentLine=720903;
 //BA.debugLineNum = 720903;BA.debugLine="End Sub";
return "";
}
}